# Copyright (c) Facebook, Inc. and its affiliates.
#
# This source code is licensed under the MIT license found in the
# LICENSE file in the root directory of this source tree.

# pyre-strict

# This file was generated by libcst.codegen.gen_matcher_classes
from abc import ABC
from dataclasses import dataclass
from typing import Callable, Sequence, Union

from typing_extensions import Literal

import libcst as cst
from libcst.matchers._decorators import call_if_inside, call_if_not_inside, leave, visit
from libcst.matchers._matcher_base import (
    AllOf,
    AtLeastN,
    AtMostN,
    BaseMatcherNode,
    DoesNotMatch,
    DoNotCare,
    DoNotCareSentinel,
    MatchIfTrue,
    MatchRegex,
    OneOf,
    ZeroOrMore,
    ZeroOrOne,
    matches,
)
from libcst.matchers._visitors import (
    MatchDecoratorMismatch,
    MatcherDecoratableTransformer,
    MatcherDecoratableVisitor,
)


class BaseAssignTargetExpression(ABC):
    pass


class BaseAugOp(ABC):
    pass


class BaseBinaryOp(ABC):
    pass


class BaseBooleanOp(ABC):
    pass


class BaseComp(ABC):
    pass


class BaseCompOp(ABC):
    pass


class BaseCompoundStatement(ABC):
    pass


class BaseDelTargetExpression(ABC):
    pass


class BaseDict(ABC):
    pass


class BaseDictElement(ABC):
    pass


class BaseElement(ABC):
    pass


class BaseExpression(ABC):
    pass


class BaseFormattedStringContent(ABC):
    pass


class BaseList(ABC):
    pass


class BaseMetadataProvider(ABC):
    pass


class BaseNumber(ABC):
    pass


class BaseParenthesizableWhitespace(ABC):
    pass


class BaseSet(ABC):
    pass


class BaseSimpleComp(ABC):
    pass


class BaseSmallStatement(ABC):
    pass


class BaseStatement(ABC):
    pass


class BaseString(ABC):
    pass


class BaseSuite(ABC):
    pass


class BaseUnaryOp(ABC):
    pass


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Add(BaseBinaryOp, BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class AddAssign(BaseAugOp, BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class And(BaseBooleanOp, BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class AnnAssign(BaseSmallStatement, BaseMatcherNode):
    target: Union[
        "BaseExpression",
        DoNotCareSentinel,
        OneOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        AllOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        MatchIfTrue[Callable[[cst.BaseExpression], bool]],
    ] = DoNotCare()
    annotation: Union[
        "Annotation",
        DoNotCareSentinel,
        OneOf[Union["Annotation", MatchIfTrue[Callable[[cst.Annotation], bool]]]],
        AllOf[Union["Annotation", MatchIfTrue[Callable[[cst.Annotation], bool]]]],
        MatchIfTrue[Callable[[cst.Annotation], bool]],
    ] = DoNotCare()
    value: Union[
        "BaseExpression",
        None,
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseExpression",
                None,
                MatchIfTrue[Callable[[Union[cst.BaseExpression, None]], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseExpression",
                None,
                MatchIfTrue[Callable[[Union[cst.BaseExpression, None]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Union[cst.BaseExpression, None]], bool]],
    ] = DoNotCare()
    equal: Union[
        "AssignEqual",
        DoNotCareSentinel,
        OneOf[Union["AssignEqual", MatchIfTrue[Callable[[cst.AssignEqual], bool]]]],
        AllOf[Union["AssignEqual", MatchIfTrue[Callable[[cst.AssignEqual], bool]]]],
        MatchIfTrue[Callable[[cst.AssignEqual], bool]],
    ] = DoNotCare()
    semicolon: Union[
        "Semicolon",
        DoNotCareSentinel,
        OneOf[Union["Semicolon", MatchIfTrue[Callable[[cst.Semicolon], bool]]]],
        AllOf[Union["Semicolon", MatchIfTrue[Callable[[cst.Semicolon], bool]]]],
        MatchIfTrue[Callable[[cst.Semicolon], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Annotation(BaseMatcherNode):
    annotation: Union[
        "BaseExpression",
        DoNotCareSentinel,
        OneOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        AllOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        MatchIfTrue[Callable[[cst.BaseExpression], bool]],
    ] = DoNotCare()
    whitespace_before_indicator: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after_indicator: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Arg(BaseMatcherNode):
    value: Union[
        "BaseExpression",
        DoNotCareSentinel,
        OneOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        AllOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        MatchIfTrue[Callable[[cst.BaseExpression], bool]],
    ] = DoNotCare()
    keyword: Union[
        "Name",
        None,
        DoNotCareSentinel,
        OneOf[
            Union["Name", None, MatchIfTrue[Callable[[Union[cst.Name, None]], bool]]]
        ],
        AllOf[
            Union["Name", None, MatchIfTrue[Callable[[Union[cst.Name, None]], bool]]]
        ],
        MatchIfTrue[Callable[[Union[cst.Name, None]], bool]],
    ] = DoNotCare()
    equal: Union[
        "AssignEqual",
        DoNotCareSentinel,
        OneOf[Union["AssignEqual", MatchIfTrue[Callable[[cst.AssignEqual], bool]]]],
        AllOf[Union["AssignEqual", MatchIfTrue[Callable[[cst.AssignEqual], bool]]]],
        MatchIfTrue[Callable[[cst.AssignEqual], bool]],
    ] = DoNotCare()
    comma: Union[
        "Comma",
        DoNotCareSentinel,
        OneOf[Union["Comma", MatchIfTrue[Callable[[cst.Comma], bool]]]],
        AllOf[Union["Comma", MatchIfTrue[Callable[[cst.Comma], bool]]]],
        MatchIfTrue[Callable[[cst.Comma], bool]],
    ] = DoNotCare()
    star: Union[
        Literal["", "*", "**"],
        DoNotCareSentinel,
        OneOf[
            Union[
                Literal["", "*", "**"],
                MatchIfTrue[Callable[[Literal["", "*", "**"]], bool]],
            ]
        ],
        AllOf[
            Union[
                Literal["", "*", "**"],
                MatchIfTrue[Callable[[Literal["", "*", "**"]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Literal["", "*", "**"]], bool]],
    ] = DoNotCare()
    whitespace_after_star: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after_arg: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class AsName(BaseMatcherNode):
    name: Union[
        "Name",
        "Tuple",
        "List",
        DoNotCareSentinel,
        OneOf[
            Union[
                "Name",
                "Tuple",
                "List",
                MatchIfTrue[Callable[[Union[cst.Name, cst.Tuple, cst.List]], bool]],
            ]
        ],
        AllOf[
            Union[
                "Name",
                "Tuple",
                "List",
                MatchIfTrue[Callable[[Union[cst.Name, cst.Tuple, cst.List]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Union[cst.Name, cst.Tuple, cst.List]], bool]],
    ] = DoNotCare()
    whitespace_before_as: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after_as: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Assert(BaseSmallStatement, BaseMatcherNode):
    test: Union[
        "BaseExpression",
        DoNotCareSentinel,
        OneOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        AllOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        MatchIfTrue[Callable[[cst.BaseExpression], bool]],
    ] = DoNotCare()
    msg: Union[
        "BaseExpression",
        None,
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseExpression",
                None,
                MatchIfTrue[Callable[[Union[cst.BaseExpression, None]], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseExpression",
                None,
                MatchIfTrue[Callable[[Union[cst.BaseExpression, None]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Union[cst.BaseExpression, None]], bool]],
    ] = DoNotCare()
    comma: Union[
        "Comma",
        DoNotCareSentinel,
        OneOf[Union["Comma", MatchIfTrue[Callable[[cst.Comma], bool]]]],
        AllOf[Union["Comma", MatchIfTrue[Callable[[cst.Comma], bool]]]],
        MatchIfTrue[Callable[[cst.Comma], bool]],
    ] = DoNotCare()
    whitespace_after_assert: Union[
        "SimpleWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        AllOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]],
    ] = DoNotCare()
    semicolon: Union[
        "Semicolon",
        DoNotCareSentinel,
        OneOf[Union["Semicolon", MatchIfTrue[Callable[[cst.Semicolon], bool]]]],
        AllOf[Union["Semicolon", MatchIfTrue[Callable[[cst.Semicolon], bool]]]],
        MatchIfTrue[Callable[[cst.Semicolon], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Assign(BaseSmallStatement, BaseMatcherNode):
    targets: Union[
        Sequence[
            Union[
                "AssignTarget",
                DoNotCareSentinel,
                OneOf[
                    Union[
                        "AssignTarget", MatchIfTrue[Callable[[cst.AssignTarget], bool]]
                    ]
                ],
                AllOf[
                    Union[
                        "AssignTarget", MatchIfTrue[Callable[[cst.AssignTarget], bool]]
                    ]
                ],
                MatchIfTrue[Callable[[cst.AssignTarget], bool]],
                AtLeastN[
                    Union[
                        "AssignTarget",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "AssignTarget",
                                MatchIfTrue[Callable[[cst.AssignTarget], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "AssignTarget",
                                MatchIfTrue[Callable[[cst.AssignTarget], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.AssignTarget], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "AssignTarget",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "AssignTarget",
                                MatchIfTrue[Callable[[cst.AssignTarget], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "AssignTarget",
                                MatchIfTrue[Callable[[cst.AssignTarget], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.AssignTarget], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "AssignTarget",
                        OneOf[
                            Union[
                                "AssignTarget",
                                MatchIfTrue[Callable[[cst.AssignTarget], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "AssignTarget",
                                MatchIfTrue[Callable[[cst.AssignTarget], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.AssignTarget], bool]],
                        AtLeastN[
                            Union[
                                "AssignTarget",
                                OneOf[
                                    Union[
                                        "AssignTarget",
                                        MatchIfTrue[Callable[[cst.AssignTarget], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "AssignTarget",
                                        MatchIfTrue[Callable[[cst.AssignTarget], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.AssignTarget], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "AssignTarget",
                                OneOf[
                                    Union[
                                        "AssignTarget",
                                        MatchIfTrue[Callable[[cst.AssignTarget], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "AssignTarget",
                                        MatchIfTrue[Callable[[cst.AssignTarget], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.AssignTarget], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.AssignTarget]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "AssignTarget",
                        OneOf[
                            Union[
                                "AssignTarget",
                                MatchIfTrue[Callable[[cst.AssignTarget], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "AssignTarget",
                                MatchIfTrue[Callable[[cst.AssignTarget], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.AssignTarget], bool]],
                        AtLeastN[
                            Union[
                                "AssignTarget",
                                OneOf[
                                    Union[
                                        "AssignTarget",
                                        MatchIfTrue[Callable[[cst.AssignTarget], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "AssignTarget",
                                        MatchIfTrue[Callable[[cst.AssignTarget], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.AssignTarget], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "AssignTarget",
                                OneOf[
                                    Union[
                                        "AssignTarget",
                                        MatchIfTrue[Callable[[cst.AssignTarget], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "AssignTarget",
                                        MatchIfTrue[Callable[[cst.AssignTarget], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.AssignTarget], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.AssignTarget]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.AssignTarget]], bool]],
    ] = DoNotCare()
    value: Union[
        "BaseExpression",
        DoNotCareSentinel,
        OneOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        AllOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        MatchIfTrue[Callable[[cst.BaseExpression], bool]],
    ] = DoNotCare()
    semicolon: Union[
        "Semicolon",
        DoNotCareSentinel,
        OneOf[Union["Semicolon", MatchIfTrue[Callable[[cst.Semicolon], bool]]]],
        AllOf[Union["Semicolon", MatchIfTrue[Callable[[cst.Semicolon], bool]]]],
        MatchIfTrue[Callable[[cst.Semicolon], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class AssignEqual(BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class AssignTarget(BaseMatcherNode):
    target: Union[
        "BaseAssignTargetExpression",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseAssignTargetExpression",
                MatchIfTrue[Callable[[cst.BaseAssignTargetExpression], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseAssignTargetExpression",
                MatchIfTrue[Callable[[cst.BaseAssignTargetExpression], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseAssignTargetExpression], bool]],
    ] = DoNotCare()
    whitespace_before_equal: Union[
        "SimpleWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        AllOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after_equal: Union[
        "SimpleWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        AllOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Asynchronous(BaseMatcherNode):
    whitespace_after: Union[
        "SimpleWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        AllOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Attribute(
    BaseAssignTargetExpression, BaseDelTargetExpression, BaseExpression, BaseMatcherNode
):
    value: Union[
        "BaseExpression",
        DoNotCareSentinel,
        OneOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        AllOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        MatchIfTrue[Callable[[cst.BaseExpression], bool]],
    ] = DoNotCare()
    attr: Union[
        "Name",
        DoNotCareSentinel,
        OneOf[Union["Name", MatchIfTrue[Callable[[cst.Name], bool]]]],
        AllOf[Union["Name", MatchIfTrue[Callable[[cst.Name], bool]]]],
        MatchIfTrue[Callable[[cst.Name], bool]],
    ] = DoNotCare()
    dot: Union[
        "Dot",
        DoNotCareSentinel,
        OneOf[Union["Dot", MatchIfTrue[Callable[[cst.Dot], bool]]]],
        AllOf[Union["Dot", MatchIfTrue[Callable[[cst.Dot], bool]]]],
        MatchIfTrue[Callable[[cst.Dot], bool]],
    ] = DoNotCare()
    lpar: Union[
        Sequence[
            Union[
                "LeftParen",
                DoNotCareSentinel,
                OneOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                AllOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                AtLeastN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
    ] = DoNotCare()
    rpar: Union[
        Sequence[
            Union[
                "RightParen",
                DoNotCareSentinel,
                OneOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                AllOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                MatchIfTrue[Callable[[cst.RightParen], bool]],
                AtLeastN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class AugAssign(BaseSmallStatement, BaseMatcherNode):
    target: Union[
        "BaseExpression",
        DoNotCareSentinel,
        OneOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        AllOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        MatchIfTrue[Callable[[cst.BaseExpression], bool]],
    ] = DoNotCare()
    operator: Union[
        "BaseAugOp",
        DoNotCareSentinel,
        OneOf[Union["BaseAugOp", MatchIfTrue[Callable[[cst.BaseAugOp], bool]]]],
        AllOf[Union["BaseAugOp", MatchIfTrue[Callable[[cst.BaseAugOp], bool]]]],
        MatchIfTrue[Callable[[cst.BaseAugOp], bool]],
    ] = DoNotCare()
    value: Union[
        "BaseExpression",
        DoNotCareSentinel,
        OneOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        AllOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        MatchIfTrue[Callable[[cst.BaseExpression], bool]],
    ] = DoNotCare()
    semicolon: Union[
        "Semicolon",
        DoNotCareSentinel,
        OneOf[Union["Semicolon", MatchIfTrue[Callable[[cst.Semicolon], bool]]]],
        AllOf[Union["Semicolon", MatchIfTrue[Callable[[cst.Semicolon], bool]]]],
        MatchIfTrue[Callable[[cst.Semicolon], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Await(BaseExpression, BaseMatcherNode):
    expression: Union[
        "BaseExpression",
        DoNotCareSentinel,
        OneOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        AllOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        MatchIfTrue[Callable[[cst.BaseExpression], bool]],
    ] = DoNotCare()
    lpar: Union[
        Sequence[
            Union[
                "LeftParen",
                DoNotCareSentinel,
                OneOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                AllOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                AtLeastN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
    ] = DoNotCare()
    rpar: Union[
        Sequence[
            Union[
                "RightParen",
                DoNotCareSentinel,
                OneOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                AllOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                MatchIfTrue[Callable[[cst.RightParen], bool]],
                AtLeastN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
    ] = DoNotCare()
    whitespace_after_await: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class BinaryOperation(BaseExpression, BaseMatcherNode):
    left: Union[
        "BaseExpression",
        DoNotCareSentinel,
        OneOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        AllOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        MatchIfTrue[Callable[[cst.BaseExpression], bool]],
    ] = DoNotCare()
    operator: Union[
        "BaseBinaryOp",
        DoNotCareSentinel,
        OneOf[Union["BaseBinaryOp", MatchIfTrue[Callable[[cst.BaseBinaryOp], bool]]]],
        AllOf[Union["BaseBinaryOp", MatchIfTrue[Callable[[cst.BaseBinaryOp], bool]]]],
        MatchIfTrue[Callable[[cst.BaseBinaryOp], bool]],
    ] = DoNotCare()
    right: Union[
        "BaseExpression",
        DoNotCareSentinel,
        OneOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        AllOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        MatchIfTrue[Callable[[cst.BaseExpression], bool]],
    ] = DoNotCare()
    lpar: Union[
        Sequence[
            Union[
                "LeftParen",
                DoNotCareSentinel,
                OneOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                AllOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                AtLeastN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
    ] = DoNotCare()
    rpar: Union[
        Sequence[
            Union[
                "RightParen",
                DoNotCareSentinel,
                OneOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                AllOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                MatchIfTrue[Callable[[cst.RightParen], bool]],
                AtLeastN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class BitAnd(BaseBinaryOp, BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class BitAndAssign(BaseAugOp, BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class BitInvert(BaseUnaryOp, BaseMatcherNode):
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class BitOr(BaseBinaryOp, BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class BitOrAssign(BaseAugOp, BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class BitXor(BaseBinaryOp, BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class BitXorAssign(BaseAugOp, BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class BooleanOperation(BaseExpression, BaseMatcherNode):
    left: Union[
        "BaseExpression",
        DoNotCareSentinel,
        OneOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        AllOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        MatchIfTrue[Callable[[cst.BaseExpression], bool]],
    ] = DoNotCare()
    operator: Union[
        "BaseBooleanOp",
        DoNotCareSentinel,
        OneOf[Union["BaseBooleanOp", MatchIfTrue[Callable[[cst.BaseBooleanOp], bool]]]],
        AllOf[Union["BaseBooleanOp", MatchIfTrue[Callable[[cst.BaseBooleanOp], bool]]]],
        MatchIfTrue[Callable[[cst.BaseBooleanOp], bool]],
    ] = DoNotCare()
    right: Union[
        "BaseExpression",
        DoNotCareSentinel,
        OneOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        AllOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        MatchIfTrue[Callable[[cst.BaseExpression], bool]],
    ] = DoNotCare()
    lpar: Union[
        Sequence[
            Union[
                "LeftParen",
                DoNotCareSentinel,
                OneOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                AllOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                AtLeastN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
    ] = DoNotCare()
    rpar: Union[
        Sequence[
            Union[
                "RightParen",
                DoNotCareSentinel,
                OneOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                AllOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                MatchIfTrue[Callable[[cst.RightParen], bool]],
                AtLeastN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Break(BaseSmallStatement, BaseMatcherNode):
    semicolon: Union[
        "Semicolon",
        DoNotCareSentinel,
        OneOf[Union["Semicolon", MatchIfTrue[Callable[[cst.Semicolon], bool]]]],
        AllOf[Union["Semicolon", MatchIfTrue[Callable[[cst.Semicolon], bool]]]],
        MatchIfTrue[Callable[[cst.Semicolon], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Call(BaseExpression, BaseMatcherNode):
    func: Union[
        "BaseExpression",
        DoNotCareSentinel,
        OneOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        AllOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        MatchIfTrue[Callable[[cst.BaseExpression], bool]],
    ] = DoNotCare()
    args: Union[
        Sequence[
            Union[
                "Arg",
                DoNotCareSentinel,
                OneOf[Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]],
                AllOf[Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]],
                MatchIfTrue[Callable[[cst.Arg], bool]],
                AtLeastN[
                    Union[
                        "Arg",
                        DoNotCareSentinel,
                        OneOf[Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]],
                        AllOf[Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]],
                        MatchIfTrue[Callable[[cst.Arg], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "Arg",
                        DoNotCareSentinel,
                        OneOf[Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]],
                        AllOf[Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]],
                        MatchIfTrue[Callable[[cst.Arg], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "Arg",
                        OneOf[Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]],
                        AllOf[Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]],
                        MatchIfTrue[Callable[[cst.Arg], bool]],
                        AtLeastN[
                            Union[
                                "Arg",
                                OneOf[
                                    Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]
                                ],
                                AllOf[
                                    Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]
                                ],
                                MatchIfTrue[Callable[[cst.Arg], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "Arg",
                                OneOf[
                                    Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]
                                ],
                                AllOf[
                                    Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]
                                ],
                                MatchIfTrue[Callable[[cst.Arg], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.Arg]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "Arg",
                        OneOf[Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]],
                        AllOf[Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]],
                        MatchIfTrue[Callable[[cst.Arg], bool]],
                        AtLeastN[
                            Union[
                                "Arg",
                                OneOf[
                                    Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]
                                ],
                                AllOf[
                                    Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]
                                ],
                                MatchIfTrue[Callable[[cst.Arg], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "Arg",
                                OneOf[
                                    Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]
                                ],
                                AllOf[
                                    Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]
                                ],
                                MatchIfTrue[Callable[[cst.Arg], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.Arg]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.Arg]], bool]],
    ] = DoNotCare()
    lpar: Union[
        Sequence[
            Union[
                "LeftParen",
                DoNotCareSentinel,
                OneOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                AllOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                AtLeastN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
    ] = DoNotCare()
    rpar: Union[
        Sequence[
            Union[
                "RightParen",
                DoNotCareSentinel,
                OneOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                AllOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                MatchIfTrue[Callable[[cst.RightParen], bool]],
                AtLeastN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
    ] = DoNotCare()
    whitespace_after_func: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_before_args: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class ClassDef(BaseCompoundStatement, BaseStatement, BaseMatcherNode):
    name: Union[
        "Name",
        DoNotCareSentinel,
        OneOf[Union["Name", MatchIfTrue[Callable[[cst.Name], bool]]]],
        AllOf[Union["Name", MatchIfTrue[Callable[[cst.Name], bool]]]],
        MatchIfTrue[Callable[[cst.Name], bool]],
    ] = DoNotCare()
    body: Union[
        "BaseSuite",
        DoNotCareSentinel,
        OneOf[Union["BaseSuite", MatchIfTrue[Callable[[cst.BaseSuite], bool]]]],
        AllOf[Union["BaseSuite", MatchIfTrue[Callable[[cst.BaseSuite], bool]]]],
        MatchIfTrue[Callable[[cst.BaseSuite], bool]],
    ] = DoNotCare()
    bases: Union[
        Sequence[
            Union[
                "Arg",
                DoNotCareSentinel,
                OneOf[Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]],
                AllOf[Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]],
                MatchIfTrue[Callable[[cst.Arg], bool]],
                AtLeastN[
                    Union[
                        "Arg",
                        DoNotCareSentinel,
                        OneOf[Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]],
                        AllOf[Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]],
                        MatchIfTrue[Callable[[cst.Arg], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "Arg",
                        DoNotCareSentinel,
                        OneOf[Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]],
                        AllOf[Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]],
                        MatchIfTrue[Callable[[cst.Arg], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "Arg",
                        OneOf[Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]],
                        AllOf[Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]],
                        MatchIfTrue[Callable[[cst.Arg], bool]],
                        AtLeastN[
                            Union[
                                "Arg",
                                OneOf[
                                    Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]
                                ],
                                AllOf[
                                    Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]
                                ],
                                MatchIfTrue[Callable[[cst.Arg], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "Arg",
                                OneOf[
                                    Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]
                                ],
                                AllOf[
                                    Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]
                                ],
                                MatchIfTrue[Callable[[cst.Arg], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.Arg]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "Arg",
                        OneOf[Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]],
                        AllOf[Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]],
                        MatchIfTrue[Callable[[cst.Arg], bool]],
                        AtLeastN[
                            Union[
                                "Arg",
                                OneOf[
                                    Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]
                                ],
                                AllOf[
                                    Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]
                                ],
                                MatchIfTrue[Callable[[cst.Arg], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "Arg",
                                OneOf[
                                    Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]
                                ],
                                AllOf[
                                    Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]
                                ],
                                MatchIfTrue[Callable[[cst.Arg], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.Arg]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.Arg]], bool]],
    ] = DoNotCare()
    keywords: Union[
        Sequence[
            Union[
                "Arg",
                DoNotCareSentinel,
                OneOf[Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]],
                AllOf[Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]],
                MatchIfTrue[Callable[[cst.Arg], bool]],
                AtLeastN[
                    Union[
                        "Arg",
                        DoNotCareSentinel,
                        OneOf[Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]],
                        AllOf[Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]],
                        MatchIfTrue[Callable[[cst.Arg], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "Arg",
                        DoNotCareSentinel,
                        OneOf[Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]],
                        AllOf[Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]],
                        MatchIfTrue[Callable[[cst.Arg], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "Arg",
                        OneOf[Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]],
                        AllOf[Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]],
                        MatchIfTrue[Callable[[cst.Arg], bool]],
                        AtLeastN[
                            Union[
                                "Arg",
                                OneOf[
                                    Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]
                                ],
                                AllOf[
                                    Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]
                                ],
                                MatchIfTrue[Callable[[cst.Arg], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "Arg",
                                OneOf[
                                    Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]
                                ],
                                AllOf[
                                    Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]
                                ],
                                MatchIfTrue[Callable[[cst.Arg], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.Arg]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "Arg",
                        OneOf[Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]],
                        AllOf[Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]],
                        MatchIfTrue[Callable[[cst.Arg], bool]],
                        AtLeastN[
                            Union[
                                "Arg",
                                OneOf[
                                    Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]
                                ],
                                AllOf[
                                    Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]
                                ],
                                MatchIfTrue[Callable[[cst.Arg], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "Arg",
                                OneOf[
                                    Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]
                                ],
                                AllOf[
                                    Union["Arg", MatchIfTrue[Callable[[cst.Arg], bool]]]
                                ],
                                MatchIfTrue[Callable[[cst.Arg], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.Arg]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.Arg]], bool]],
    ] = DoNotCare()
    decorators: Union[
        Sequence[
            Union[
                "Decorator",
                DoNotCareSentinel,
                OneOf[Union["Decorator", MatchIfTrue[Callable[[cst.Decorator], bool]]]],
                AllOf[Union["Decorator", MatchIfTrue[Callable[[cst.Decorator], bool]]]],
                MatchIfTrue[Callable[[cst.Decorator], bool]],
                AtLeastN[
                    Union[
                        "Decorator",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "Decorator",
                                MatchIfTrue[Callable[[cst.Decorator], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "Decorator",
                                MatchIfTrue[Callable[[cst.Decorator], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.Decorator], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "Decorator",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "Decorator",
                                MatchIfTrue[Callable[[cst.Decorator], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "Decorator",
                                MatchIfTrue[Callable[[cst.Decorator], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.Decorator], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "Decorator",
                        OneOf[
                            Union[
                                "Decorator",
                                MatchIfTrue[Callable[[cst.Decorator], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "Decorator",
                                MatchIfTrue[Callable[[cst.Decorator], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.Decorator], bool]],
                        AtLeastN[
                            Union[
                                "Decorator",
                                OneOf[
                                    Union[
                                        "Decorator",
                                        MatchIfTrue[Callable[[cst.Decorator], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "Decorator",
                                        MatchIfTrue[Callable[[cst.Decorator], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.Decorator], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "Decorator",
                                OneOf[
                                    Union[
                                        "Decorator",
                                        MatchIfTrue[Callable[[cst.Decorator], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "Decorator",
                                        MatchIfTrue[Callable[[cst.Decorator], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.Decorator], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.Decorator]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "Decorator",
                        OneOf[
                            Union[
                                "Decorator",
                                MatchIfTrue[Callable[[cst.Decorator], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "Decorator",
                                MatchIfTrue[Callable[[cst.Decorator], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.Decorator], bool]],
                        AtLeastN[
                            Union[
                                "Decorator",
                                OneOf[
                                    Union[
                                        "Decorator",
                                        MatchIfTrue[Callable[[cst.Decorator], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "Decorator",
                                        MatchIfTrue[Callable[[cst.Decorator], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.Decorator], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "Decorator",
                                OneOf[
                                    Union[
                                        "Decorator",
                                        MatchIfTrue[Callable[[cst.Decorator], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "Decorator",
                                        MatchIfTrue[Callable[[cst.Decorator], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.Decorator], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.Decorator]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.Decorator]], bool]],
    ] = DoNotCare()
    lpar: Union[
        "LeftParen",
        DoNotCareSentinel,
        OneOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
        AllOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
        MatchIfTrue[Callable[[cst.LeftParen], bool]],
    ] = DoNotCare()
    rpar: Union[
        "RightParen",
        DoNotCareSentinel,
        OneOf[Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]],
        AllOf[Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]],
        MatchIfTrue[Callable[[cst.RightParen], bool]],
    ] = DoNotCare()
    leading_lines: Union[
        Sequence[
            Union[
                "EmptyLine",
                DoNotCareSentinel,
                OneOf[Union["EmptyLine", MatchIfTrue[Callable[[cst.EmptyLine], bool]]]],
                AllOf[Union["EmptyLine", MatchIfTrue[Callable[[cst.EmptyLine], bool]]]],
                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                AtLeastN[
                    Union[
                        "EmptyLine",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "EmptyLine",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "EmptyLine",
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                        AtLeastN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "EmptyLine",
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                        AtLeastN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
    ] = DoNotCare()
    lines_after_decorators: Union[
        Sequence[
            Union[
                "EmptyLine",
                DoNotCareSentinel,
                OneOf[Union["EmptyLine", MatchIfTrue[Callable[[cst.EmptyLine], bool]]]],
                AllOf[Union["EmptyLine", MatchIfTrue[Callable[[cst.EmptyLine], bool]]]],
                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                AtLeastN[
                    Union[
                        "EmptyLine",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "EmptyLine",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "EmptyLine",
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                        AtLeastN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "EmptyLine",
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                        AtLeastN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
    ] = DoNotCare()
    whitespace_after_class: Union[
        "SimpleWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        AllOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after_name: Union[
        "SimpleWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        AllOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]],
    ] = DoNotCare()
    whitespace_before_colon: Union[
        "SimpleWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        AllOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Colon(BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Comma(BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Comment(BaseMatcherNode):
    value: Union[
        str,
        DoNotCareSentinel,
        OneOf[Union[str, MatchIfTrue[Callable[[str], bool]]]],
        AllOf[Union[str, MatchIfTrue[Callable[[str], bool]]]],
        MatchIfTrue[Callable[[str], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class CompFor(BaseMatcherNode):
    target: Union[
        "BaseAssignTargetExpression",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseAssignTargetExpression",
                MatchIfTrue[Callable[[cst.BaseAssignTargetExpression], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseAssignTargetExpression",
                MatchIfTrue[Callable[[cst.BaseAssignTargetExpression], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseAssignTargetExpression], bool]],
    ] = DoNotCare()
    iter: Union[
        "BaseExpression",
        DoNotCareSentinel,
        OneOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        AllOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        MatchIfTrue[Callable[[cst.BaseExpression], bool]],
    ] = DoNotCare()
    ifs: Union[
        Sequence[
            Union[
                "CompIf",
                DoNotCareSentinel,
                OneOf[Union["CompIf", MatchIfTrue[Callable[[cst.CompIf], bool]]]],
                AllOf[Union["CompIf", MatchIfTrue[Callable[[cst.CompIf], bool]]]],
                MatchIfTrue[Callable[[cst.CompIf], bool]],
                AtLeastN[
                    Union[
                        "CompIf",
                        DoNotCareSentinel,
                        OneOf[
                            Union["CompIf", MatchIfTrue[Callable[[cst.CompIf], bool]]]
                        ],
                        AllOf[
                            Union["CompIf", MatchIfTrue[Callable[[cst.CompIf], bool]]]
                        ],
                        MatchIfTrue[Callable[[cst.CompIf], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "CompIf",
                        DoNotCareSentinel,
                        OneOf[
                            Union["CompIf", MatchIfTrue[Callable[[cst.CompIf], bool]]]
                        ],
                        AllOf[
                            Union["CompIf", MatchIfTrue[Callable[[cst.CompIf], bool]]]
                        ],
                        MatchIfTrue[Callable[[cst.CompIf], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "CompIf",
                        OneOf[
                            Union["CompIf", MatchIfTrue[Callable[[cst.CompIf], bool]]]
                        ],
                        AllOf[
                            Union["CompIf", MatchIfTrue[Callable[[cst.CompIf], bool]]]
                        ],
                        MatchIfTrue[Callable[[cst.CompIf], bool]],
                        AtLeastN[
                            Union[
                                "CompIf",
                                OneOf[
                                    Union[
                                        "CompIf",
                                        MatchIfTrue[Callable[[cst.CompIf], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "CompIf",
                                        MatchIfTrue[Callable[[cst.CompIf], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.CompIf], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "CompIf",
                                OneOf[
                                    Union[
                                        "CompIf",
                                        MatchIfTrue[Callable[[cst.CompIf], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "CompIf",
                                        MatchIfTrue[Callable[[cst.CompIf], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.CompIf], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.CompIf]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "CompIf",
                        OneOf[
                            Union["CompIf", MatchIfTrue[Callable[[cst.CompIf], bool]]]
                        ],
                        AllOf[
                            Union["CompIf", MatchIfTrue[Callable[[cst.CompIf], bool]]]
                        ],
                        MatchIfTrue[Callable[[cst.CompIf], bool]],
                        AtLeastN[
                            Union[
                                "CompIf",
                                OneOf[
                                    Union[
                                        "CompIf",
                                        MatchIfTrue[Callable[[cst.CompIf], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "CompIf",
                                        MatchIfTrue[Callable[[cst.CompIf], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.CompIf], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "CompIf",
                                OneOf[
                                    Union[
                                        "CompIf",
                                        MatchIfTrue[Callable[[cst.CompIf], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "CompIf",
                                        MatchIfTrue[Callable[[cst.CompIf], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.CompIf], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.CompIf]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.CompIf]], bool]],
    ] = DoNotCare()
    inner_for_in: Union[
        "CompFor",
        None,
        DoNotCareSentinel,
        OneOf[
            Union[
                "CompFor", None, MatchIfTrue[Callable[[Union[cst.CompFor, None]], bool]]
            ]
        ],
        AllOf[
            Union[
                "CompFor", None, MatchIfTrue[Callable[[Union[cst.CompFor, None]], bool]]
            ]
        ],
        MatchIfTrue[Callable[[Union[cst.CompFor, None]], bool]],
    ] = DoNotCare()
    asynchronous: Union[
        "Asynchronous",
        None,
        DoNotCareSentinel,
        OneOf[
            Union[
                "Asynchronous",
                None,
                MatchIfTrue[Callable[[Union[cst.Asynchronous, None]], bool]],
            ]
        ],
        AllOf[
            Union[
                "Asynchronous",
                None,
                MatchIfTrue[Callable[[Union[cst.Asynchronous, None]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Union[cst.Asynchronous, None]], bool]],
    ] = DoNotCare()
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after_for: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_before_in: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after_in: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class CompIf(BaseMatcherNode):
    test: Union[
        "BaseExpression",
        DoNotCareSentinel,
        OneOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        AllOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        MatchIfTrue[Callable[[cst.BaseExpression], bool]],
    ] = DoNotCare()
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_before_test: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Comparison(BaseExpression, BaseMatcherNode):
    left: Union[
        "BaseExpression",
        DoNotCareSentinel,
        OneOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        AllOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        MatchIfTrue[Callable[[cst.BaseExpression], bool]],
    ] = DoNotCare()
    comparisons: Union[
        Sequence[
            Union[
                "ComparisonTarget",
                DoNotCareSentinel,
                OneOf[
                    Union[
                        "ComparisonTarget",
                        MatchIfTrue[Callable[[cst.ComparisonTarget], bool]],
                    ]
                ],
                AllOf[
                    Union[
                        "ComparisonTarget",
                        MatchIfTrue[Callable[[cst.ComparisonTarget], bool]],
                    ]
                ],
                MatchIfTrue[Callable[[cst.ComparisonTarget], bool]],
                AtLeastN[
                    Union[
                        "ComparisonTarget",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "ComparisonTarget",
                                MatchIfTrue[Callable[[cst.ComparisonTarget], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "ComparisonTarget",
                                MatchIfTrue[Callable[[cst.ComparisonTarget], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.ComparisonTarget], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "ComparisonTarget",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "ComparisonTarget",
                                MatchIfTrue[Callable[[cst.ComparisonTarget], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "ComparisonTarget",
                                MatchIfTrue[Callable[[cst.ComparisonTarget], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.ComparisonTarget], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "ComparisonTarget",
                        OneOf[
                            Union[
                                "ComparisonTarget",
                                MatchIfTrue[Callable[[cst.ComparisonTarget], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "ComparisonTarget",
                                MatchIfTrue[Callable[[cst.ComparisonTarget], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.ComparisonTarget], bool]],
                        AtLeastN[
                            Union[
                                "ComparisonTarget",
                                OneOf[
                                    Union[
                                        "ComparisonTarget",
                                        MatchIfTrue[
                                            Callable[[cst.ComparisonTarget], bool]
                                        ],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "ComparisonTarget",
                                        MatchIfTrue[
                                            Callable[[cst.ComparisonTarget], bool]
                                        ],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.ComparisonTarget], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "ComparisonTarget",
                                OneOf[
                                    Union[
                                        "ComparisonTarget",
                                        MatchIfTrue[
                                            Callable[[cst.ComparisonTarget], bool]
                                        ],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "ComparisonTarget",
                                        MatchIfTrue[
                                            Callable[[cst.ComparisonTarget], bool]
                                        ],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.ComparisonTarget], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.ComparisonTarget]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "ComparisonTarget",
                        OneOf[
                            Union[
                                "ComparisonTarget",
                                MatchIfTrue[Callable[[cst.ComparisonTarget], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "ComparisonTarget",
                                MatchIfTrue[Callable[[cst.ComparisonTarget], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.ComparisonTarget], bool]],
                        AtLeastN[
                            Union[
                                "ComparisonTarget",
                                OneOf[
                                    Union[
                                        "ComparisonTarget",
                                        MatchIfTrue[
                                            Callable[[cst.ComparisonTarget], bool]
                                        ],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "ComparisonTarget",
                                        MatchIfTrue[
                                            Callable[[cst.ComparisonTarget], bool]
                                        ],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.ComparisonTarget], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "ComparisonTarget",
                                OneOf[
                                    Union[
                                        "ComparisonTarget",
                                        MatchIfTrue[
                                            Callable[[cst.ComparisonTarget], bool]
                                        ],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "ComparisonTarget",
                                        MatchIfTrue[
                                            Callable[[cst.ComparisonTarget], bool]
                                        ],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.ComparisonTarget], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.ComparisonTarget]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.ComparisonTarget]], bool]],
    ] = DoNotCare()
    lpar: Union[
        Sequence[
            Union[
                "LeftParen",
                DoNotCareSentinel,
                OneOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                AllOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                AtLeastN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
    ] = DoNotCare()
    rpar: Union[
        Sequence[
            Union[
                "RightParen",
                DoNotCareSentinel,
                OneOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                AllOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                MatchIfTrue[Callable[[cst.RightParen], bool]],
                AtLeastN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class ComparisonTarget(BaseMatcherNode):
    operator: Union[
        "BaseCompOp",
        DoNotCareSentinel,
        OneOf[Union["BaseCompOp", MatchIfTrue[Callable[[cst.BaseCompOp], bool]]]],
        AllOf[Union["BaseCompOp", MatchIfTrue[Callable[[cst.BaseCompOp], bool]]]],
        MatchIfTrue[Callable[[cst.BaseCompOp], bool]],
    ] = DoNotCare()
    comparator: Union[
        "BaseExpression",
        DoNotCareSentinel,
        OneOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        AllOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        MatchIfTrue[Callable[[cst.BaseExpression], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class ConcatenatedString(BaseExpression, BaseString, BaseMatcherNode):
    left: Union[
        "SimpleString",
        "FormattedString",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleString",
                "FormattedString",
                MatchIfTrue[
                    Callable[[Union[cst.SimpleString, cst.FormattedString]], bool]
                ],
            ]
        ],
        AllOf[
            Union[
                "SimpleString",
                "FormattedString",
                MatchIfTrue[
                    Callable[[Union[cst.SimpleString, cst.FormattedString]], bool]
                ],
            ]
        ],
        MatchIfTrue[Callable[[Union[cst.SimpleString, cst.FormattedString]], bool]],
    ] = DoNotCare()
    right: Union[
        "SimpleString",
        "FormattedString",
        "ConcatenatedString",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleString",
                "FormattedString",
                "ConcatenatedString",
                MatchIfTrue[
                    Callable[
                        [
                            Union[
                                cst.SimpleString,
                                cst.FormattedString,
                                cst.ConcatenatedString,
                            ]
                        ],
                        bool,
                    ]
                ],
            ]
        ],
        AllOf[
            Union[
                "SimpleString",
                "FormattedString",
                "ConcatenatedString",
                MatchIfTrue[
                    Callable[
                        [
                            Union[
                                cst.SimpleString,
                                cst.FormattedString,
                                cst.ConcatenatedString,
                            ]
                        ],
                        bool,
                    ]
                ],
            ]
        ],
        MatchIfTrue[
            Callable[
                [Union[cst.SimpleString, cst.FormattedString, cst.ConcatenatedString]],
                bool,
            ]
        ],
    ] = DoNotCare()
    lpar: Union[
        Sequence[
            Union[
                "LeftParen",
                DoNotCareSentinel,
                OneOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                AllOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                AtLeastN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
    ] = DoNotCare()
    rpar: Union[
        Sequence[
            Union[
                "RightParen",
                DoNotCareSentinel,
                OneOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                AllOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                MatchIfTrue[Callable[[cst.RightParen], bool]],
                AtLeastN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
    ] = DoNotCare()
    whitespace_between: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Continue(BaseSmallStatement, BaseMatcherNode):
    semicolon: Union[
        "Semicolon",
        DoNotCareSentinel,
        OneOf[Union["Semicolon", MatchIfTrue[Callable[[cst.Semicolon], bool]]]],
        AllOf[Union["Semicolon", MatchIfTrue[Callable[[cst.Semicolon], bool]]]],
        MatchIfTrue[Callable[[cst.Semicolon], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Decorator(BaseMatcherNode):
    decorator: Union[
        "Name",
        "Attribute",
        "Call",
        DoNotCareSentinel,
        OneOf[
            Union[
                "Name",
                "Attribute",
                "Call",
                MatchIfTrue[Callable[[Union[cst.Name, cst.Attribute, cst.Call]], bool]],
            ]
        ],
        AllOf[
            Union[
                "Name",
                "Attribute",
                "Call",
                MatchIfTrue[Callable[[Union[cst.Name, cst.Attribute, cst.Call]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Union[cst.Name, cst.Attribute, cst.Call]], bool]],
    ] = DoNotCare()
    leading_lines: Union[
        Sequence[
            Union[
                "EmptyLine",
                DoNotCareSentinel,
                OneOf[Union["EmptyLine", MatchIfTrue[Callable[[cst.EmptyLine], bool]]]],
                AllOf[Union["EmptyLine", MatchIfTrue[Callable[[cst.EmptyLine], bool]]]],
                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                AtLeastN[
                    Union[
                        "EmptyLine",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "EmptyLine",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "EmptyLine",
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                        AtLeastN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "EmptyLine",
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                        AtLeastN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
    ] = DoNotCare()
    whitespace_after_at: Union[
        "SimpleWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        AllOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]],
    ] = DoNotCare()
    trailing_whitespace: Union[
        "TrailingWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "TrailingWhitespace",
                MatchIfTrue[Callable[[cst.TrailingWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "TrailingWhitespace",
                MatchIfTrue[Callable[[cst.TrailingWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.TrailingWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Del(BaseSmallStatement, BaseMatcherNode):
    target: Union[
        "BaseDelTargetExpression",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseDelTargetExpression",
                MatchIfTrue[Callable[[cst.BaseDelTargetExpression], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseDelTargetExpression",
                MatchIfTrue[Callable[[cst.BaseDelTargetExpression], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseDelTargetExpression], bool]],
    ] = DoNotCare()
    whitespace_after_del: Union[
        "SimpleWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        AllOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]],
    ] = DoNotCare()
    semicolon: Union[
        "Semicolon",
        DoNotCareSentinel,
        OneOf[Union["Semicolon", MatchIfTrue[Callable[[cst.Semicolon], bool]]]],
        AllOf[Union["Semicolon", MatchIfTrue[Callable[[cst.Semicolon], bool]]]],
        MatchIfTrue[Callable[[cst.Semicolon], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Dict(BaseDict, BaseExpression, BaseMatcherNode):
    elements: Union[
        Sequence[
            Union[
                "BaseDictElement",
                DoNotCareSentinel,
                OneOf[
                    Union[
                        "BaseDictElement",
                        MatchIfTrue[Callable[[cst.BaseDictElement], bool]],
                    ]
                ],
                AllOf[
                    Union[
                        "BaseDictElement",
                        MatchIfTrue[Callable[[cst.BaseDictElement], bool]],
                    ]
                ],
                MatchIfTrue[Callable[[cst.BaseDictElement], bool]],
                AtLeastN[
                    Union[
                        "BaseDictElement",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "BaseDictElement",
                                MatchIfTrue[Callable[[cst.BaseDictElement], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "BaseDictElement",
                                MatchIfTrue[Callable[[cst.BaseDictElement], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.BaseDictElement], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "BaseDictElement",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "BaseDictElement",
                                MatchIfTrue[Callable[[cst.BaseDictElement], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "BaseDictElement",
                                MatchIfTrue[Callable[[cst.BaseDictElement], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.BaseDictElement], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "BaseDictElement",
                        OneOf[
                            Union[
                                "BaseDictElement",
                                MatchIfTrue[Callable[[cst.BaseDictElement], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "BaseDictElement",
                                MatchIfTrue[Callable[[cst.BaseDictElement], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.BaseDictElement], bool]],
                        AtLeastN[
                            Union[
                                "BaseDictElement",
                                OneOf[
                                    Union[
                                        "BaseDictElement",
                                        MatchIfTrue[
                                            Callable[[cst.BaseDictElement], bool]
                                        ],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "BaseDictElement",
                                        MatchIfTrue[
                                            Callable[[cst.BaseDictElement], bool]
                                        ],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.BaseDictElement], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "BaseDictElement",
                                OneOf[
                                    Union[
                                        "BaseDictElement",
                                        MatchIfTrue[
                                            Callable[[cst.BaseDictElement], bool]
                                        ],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "BaseDictElement",
                                        MatchIfTrue[
                                            Callable[[cst.BaseDictElement], bool]
                                        ],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.BaseDictElement], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.BaseDictElement]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "BaseDictElement",
                        OneOf[
                            Union[
                                "BaseDictElement",
                                MatchIfTrue[Callable[[cst.BaseDictElement], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "BaseDictElement",
                                MatchIfTrue[Callable[[cst.BaseDictElement], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.BaseDictElement], bool]],
                        AtLeastN[
                            Union[
                                "BaseDictElement",
                                OneOf[
                                    Union[
                                        "BaseDictElement",
                                        MatchIfTrue[
                                            Callable[[cst.BaseDictElement], bool]
                                        ],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "BaseDictElement",
                                        MatchIfTrue[
                                            Callable[[cst.BaseDictElement], bool]
                                        ],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.BaseDictElement], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "BaseDictElement",
                                OneOf[
                                    Union[
                                        "BaseDictElement",
                                        MatchIfTrue[
                                            Callable[[cst.BaseDictElement], bool]
                                        ],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "BaseDictElement",
                                        MatchIfTrue[
                                            Callable[[cst.BaseDictElement], bool]
                                        ],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.BaseDictElement], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.BaseDictElement]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.BaseDictElement]], bool]],
    ] = DoNotCare()
    lbrace: Union[
        "LeftCurlyBrace",
        DoNotCareSentinel,
        OneOf[
            Union["LeftCurlyBrace", MatchIfTrue[Callable[[cst.LeftCurlyBrace], bool]]]
        ],
        AllOf[
            Union["LeftCurlyBrace", MatchIfTrue[Callable[[cst.LeftCurlyBrace], bool]]]
        ],
        MatchIfTrue[Callable[[cst.LeftCurlyBrace], bool]],
    ] = DoNotCare()
    rbrace: Union[
        "RightCurlyBrace",
        DoNotCareSentinel,
        OneOf[
            Union["RightCurlyBrace", MatchIfTrue[Callable[[cst.RightCurlyBrace], bool]]]
        ],
        AllOf[
            Union["RightCurlyBrace", MatchIfTrue[Callable[[cst.RightCurlyBrace], bool]]]
        ],
        MatchIfTrue[Callable[[cst.RightCurlyBrace], bool]],
    ] = DoNotCare()
    lpar: Union[
        Sequence[
            Union[
                "LeftParen",
                DoNotCareSentinel,
                OneOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                AllOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                AtLeastN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
    ] = DoNotCare()
    rpar: Union[
        Sequence[
            Union[
                "RightParen",
                DoNotCareSentinel,
                OneOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                AllOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                MatchIfTrue[Callable[[cst.RightParen], bool]],
                AtLeastN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class DictComp(BaseComp, BaseDict, BaseExpression, BaseMatcherNode):
    key: Union[
        "BaseAssignTargetExpression",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseAssignTargetExpression",
                MatchIfTrue[Callable[[cst.BaseAssignTargetExpression], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseAssignTargetExpression",
                MatchIfTrue[Callable[[cst.BaseAssignTargetExpression], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseAssignTargetExpression], bool]],
    ] = DoNotCare()
    value: Union[
        "BaseAssignTargetExpression",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseAssignTargetExpression",
                MatchIfTrue[Callable[[cst.BaseAssignTargetExpression], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseAssignTargetExpression",
                MatchIfTrue[Callable[[cst.BaseAssignTargetExpression], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseAssignTargetExpression], bool]],
    ] = DoNotCare()
    for_in: Union[
        "CompFor",
        DoNotCareSentinel,
        OneOf[Union["CompFor", MatchIfTrue[Callable[[cst.CompFor], bool]]]],
        AllOf[Union["CompFor", MatchIfTrue[Callable[[cst.CompFor], bool]]]],
        MatchIfTrue[Callable[[cst.CompFor], bool]],
    ] = DoNotCare()
    lbrace: Union[
        "LeftCurlyBrace",
        DoNotCareSentinel,
        OneOf[
            Union["LeftCurlyBrace", MatchIfTrue[Callable[[cst.LeftCurlyBrace], bool]]]
        ],
        AllOf[
            Union["LeftCurlyBrace", MatchIfTrue[Callable[[cst.LeftCurlyBrace], bool]]]
        ],
        MatchIfTrue[Callable[[cst.LeftCurlyBrace], bool]],
    ] = DoNotCare()
    rbrace: Union[
        "RightCurlyBrace",
        DoNotCareSentinel,
        OneOf[
            Union["RightCurlyBrace", MatchIfTrue[Callable[[cst.RightCurlyBrace], bool]]]
        ],
        AllOf[
            Union["RightCurlyBrace", MatchIfTrue[Callable[[cst.RightCurlyBrace], bool]]]
        ],
        MatchIfTrue[Callable[[cst.RightCurlyBrace], bool]],
    ] = DoNotCare()
    lpar: Union[
        Sequence[
            Union[
                "LeftParen",
                DoNotCareSentinel,
                OneOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                AllOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                AtLeastN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
    ] = DoNotCare()
    rpar: Union[
        Sequence[
            Union[
                "RightParen",
                DoNotCareSentinel,
                OneOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                AllOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                MatchIfTrue[Callable[[cst.RightParen], bool]],
                AtLeastN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
    ] = DoNotCare()
    whitespace_before_colon: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after_colon: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class DictElement(BaseDictElement, BaseMatcherNode):
    key: Union[
        "BaseExpression",
        DoNotCareSentinel,
        OneOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        AllOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        MatchIfTrue[Callable[[cst.BaseExpression], bool]],
    ] = DoNotCare()
    value: Union[
        "BaseExpression",
        DoNotCareSentinel,
        OneOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        AllOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        MatchIfTrue[Callable[[cst.BaseExpression], bool]],
    ] = DoNotCare()
    comma: Union[
        "Comma",
        DoNotCareSentinel,
        OneOf[Union["Comma", MatchIfTrue[Callable[[cst.Comma], bool]]]],
        AllOf[Union["Comma", MatchIfTrue[Callable[[cst.Comma], bool]]]],
        MatchIfTrue[Callable[[cst.Comma], bool]],
    ] = DoNotCare()
    whitespace_before_colon: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after_colon: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Divide(BaseBinaryOp, BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class DivideAssign(BaseAugOp, BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Dot(BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Element(BaseElement, BaseMatcherNode):
    value: Union[
        "BaseExpression",
        DoNotCareSentinel,
        OneOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        AllOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        MatchIfTrue[Callable[[cst.BaseExpression], bool]],
    ] = DoNotCare()
    comma: Union[
        "Comma",
        DoNotCareSentinel,
        OneOf[Union["Comma", MatchIfTrue[Callable[[cst.Comma], bool]]]],
        AllOf[Union["Comma", MatchIfTrue[Callable[[cst.Comma], bool]]]],
        MatchIfTrue[Callable[[cst.Comma], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Ellipsis(BaseExpression, BaseMatcherNode):
    lpar: Union[
        Sequence[
            Union[
                "LeftParen",
                DoNotCareSentinel,
                OneOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                AllOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                AtLeastN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
    ] = DoNotCare()
    rpar: Union[
        Sequence[
            Union[
                "RightParen",
                DoNotCareSentinel,
                OneOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                AllOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                MatchIfTrue[Callable[[cst.RightParen], bool]],
                AtLeastN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Else(BaseMatcherNode):
    body: Union[
        "BaseSuite",
        DoNotCareSentinel,
        OneOf[Union["BaseSuite", MatchIfTrue[Callable[[cst.BaseSuite], bool]]]],
        AllOf[Union["BaseSuite", MatchIfTrue[Callable[[cst.BaseSuite], bool]]]],
        MatchIfTrue[Callable[[cst.BaseSuite], bool]],
    ] = DoNotCare()
    leading_lines: Union[
        Sequence[
            Union[
                "EmptyLine",
                DoNotCareSentinel,
                OneOf[Union["EmptyLine", MatchIfTrue[Callable[[cst.EmptyLine], bool]]]],
                AllOf[Union["EmptyLine", MatchIfTrue[Callable[[cst.EmptyLine], bool]]]],
                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                AtLeastN[
                    Union[
                        "EmptyLine",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "EmptyLine",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "EmptyLine",
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                        AtLeastN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "EmptyLine",
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                        AtLeastN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
    ] = DoNotCare()
    whitespace_before_colon: Union[
        "SimpleWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        AllOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class EmptyLine(BaseMatcherNode):
    indent: Union[
        bool,
        DoNotCareSentinel,
        OneOf[Union[bool, MatchIfTrue[Callable[[bool], bool]]]],
        AllOf[Union[bool, MatchIfTrue[Callable[[bool], bool]]]],
        MatchIfTrue[Callable[[bool], bool]],
    ] = DoNotCare()
    whitespace: Union[
        "SimpleWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        AllOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]],
    ] = DoNotCare()
    comment: Union[
        "Comment",
        None,
        DoNotCareSentinel,
        OneOf[
            Union[
                "Comment", None, MatchIfTrue[Callable[[Union[cst.Comment, None]], bool]]
            ]
        ],
        AllOf[
            Union[
                "Comment", None, MatchIfTrue[Callable[[Union[cst.Comment, None]], bool]]
            ]
        ],
        MatchIfTrue[Callable[[Union[cst.Comment, None]], bool]],
    ] = DoNotCare()
    newline: Union[
        "Newline",
        DoNotCareSentinel,
        OneOf[Union["Newline", MatchIfTrue[Callable[[cst.Newline], bool]]]],
        AllOf[Union["Newline", MatchIfTrue[Callable[[cst.Newline], bool]]]],
        MatchIfTrue[Callable[[cst.Newline], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Equal(BaseCompOp, BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class ExceptHandler(BaseMatcherNode):
    body: Union[
        "BaseSuite",
        DoNotCareSentinel,
        OneOf[Union["BaseSuite", MatchIfTrue[Callable[[cst.BaseSuite], bool]]]],
        AllOf[Union["BaseSuite", MatchIfTrue[Callable[[cst.BaseSuite], bool]]]],
        MatchIfTrue[Callable[[cst.BaseSuite], bool]],
    ] = DoNotCare()
    type: Union[
        "BaseExpression",
        None,
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseExpression",
                None,
                MatchIfTrue[Callable[[Union[cst.BaseExpression, None]], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseExpression",
                None,
                MatchIfTrue[Callable[[Union[cst.BaseExpression, None]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Union[cst.BaseExpression, None]], bool]],
    ] = DoNotCare()
    name: Union[
        "AsName",
        None,
        DoNotCareSentinel,
        OneOf[
            Union[
                "AsName", None, MatchIfTrue[Callable[[Union[cst.AsName, None]], bool]]
            ]
        ],
        AllOf[
            Union[
                "AsName", None, MatchIfTrue[Callable[[Union[cst.AsName, None]], bool]]
            ]
        ],
        MatchIfTrue[Callable[[Union[cst.AsName, None]], bool]],
    ] = DoNotCare()
    leading_lines: Union[
        Sequence[
            Union[
                "EmptyLine",
                DoNotCareSentinel,
                OneOf[Union["EmptyLine", MatchIfTrue[Callable[[cst.EmptyLine], bool]]]],
                AllOf[Union["EmptyLine", MatchIfTrue[Callable[[cst.EmptyLine], bool]]]],
                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                AtLeastN[
                    Union[
                        "EmptyLine",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "EmptyLine",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "EmptyLine",
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                        AtLeastN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "EmptyLine",
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                        AtLeastN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
    ] = DoNotCare()
    whitespace_after_except: Union[
        "SimpleWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        AllOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]],
    ] = DoNotCare()
    whitespace_before_colon: Union[
        "SimpleWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        AllOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Expr(BaseSmallStatement, BaseMatcherNode):
    value: Union[
        "BaseExpression",
        DoNotCareSentinel,
        OneOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        AllOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        MatchIfTrue[Callable[[cst.BaseExpression], bool]],
    ] = DoNotCare()
    semicolon: Union[
        "Semicolon",
        DoNotCareSentinel,
        OneOf[Union["Semicolon", MatchIfTrue[Callable[[cst.Semicolon], bool]]]],
        AllOf[Union["Semicolon", MatchIfTrue[Callable[[cst.Semicolon], bool]]]],
        MatchIfTrue[Callable[[cst.Semicolon], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class ExtSlice(BaseMatcherNode):
    slice: Union[
        "Index",
        "Slice",
        DoNotCareSentinel,
        OneOf[
            Union[
                "Index",
                "Slice",
                MatchIfTrue[Callable[[Union[cst.Index, cst.Slice]], bool]],
            ]
        ],
        AllOf[
            Union[
                "Index",
                "Slice",
                MatchIfTrue[Callable[[Union[cst.Index, cst.Slice]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Union[cst.Index, cst.Slice]], bool]],
    ] = DoNotCare()
    comma: Union[
        "Comma",
        DoNotCareSentinel,
        OneOf[Union["Comma", MatchIfTrue[Callable[[cst.Comma], bool]]]],
        AllOf[Union["Comma", MatchIfTrue[Callable[[cst.Comma], bool]]]],
        MatchIfTrue[Callable[[cst.Comma], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Finally(BaseMatcherNode):
    body: Union[
        "BaseSuite",
        DoNotCareSentinel,
        OneOf[Union["BaseSuite", MatchIfTrue[Callable[[cst.BaseSuite], bool]]]],
        AllOf[Union["BaseSuite", MatchIfTrue[Callable[[cst.BaseSuite], bool]]]],
        MatchIfTrue[Callable[[cst.BaseSuite], bool]],
    ] = DoNotCare()
    leading_lines: Union[
        Sequence[
            Union[
                "EmptyLine",
                DoNotCareSentinel,
                OneOf[Union["EmptyLine", MatchIfTrue[Callable[[cst.EmptyLine], bool]]]],
                AllOf[Union["EmptyLine", MatchIfTrue[Callable[[cst.EmptyLine], bool]]]],
                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                AtLeastN[
                    Union[
                        "EmptyLine",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "EmptyLine",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "EmptyLine",
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                        AtLeastN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "EmptyLine",
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                        AtLeastN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
    ] = DoNotCare()
    whitespace_before_colon: Union[
        "SimpleWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        AllOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Float(BaseExpression, BaseNumber, BaseMatcherNode):
    value: Union[
        str,
        DoNotCareSentinel,
        OneOf[Union[str, MatchIfTrue[Callable[[str], bool]]]],
        AllOf[Union[str, MatchIfTrue[Callable[[str], bool]]]],
        MatchIfTrue[Callable[[str], bool]],
    ] = DoNotCare()
    lpar: Union[
        Sequence[
            Union[
                "LeftParen",
                DoNotCareSentinel,
                OneOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                AllOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                AtLeastN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
    ] = DoNotCare()
    rpar: Union[
        Sequence[
            Union[
                "RightParen",
                DoNotCareSentinel,
                OneOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                AllOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                MatchIfTrue[Callable[[cst.RightParen], bool]],
                AtLeastN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class FloorDivide(BaseBinaryOp, BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class FloorDivideAssign(BaseAugOp, BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class For(BaseCompoundStatement, BaseStatement, BaseMatcherNode):
    target: Union[
        "BaseAssignTargetExpression",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseAssignTargetExpression",
                MatchIfTrue[Callable[[cst.BaseAssignTargetExpression], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseAssignTargetExpression",
                MatchIfTrue[Callable[[cst.BaseAssignTargetExpression], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseAssignTargetExpression], bool]],
    ] = DoNotCare()
    iter: Union[
        "BaseExpression",
        DoNotCareSentinel,
        OneOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        AllOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        MatchIfTrue[Callable[[cst.BaseExpression], bool]],
    ] = DoNotCare()
    body: Union[
        "BaseSuite",
        DoNotCareSentinel,
        OneOf[Union["BaseSuite", MatchIfTrue[Callable[[cst.BaseSuite], bool]]]],
        AllOf[Union["BaseSuite", MatchIfTrue[Callable[[cst.BaseSuite], bool]]]],
        MatchIfTrue[Callable[[cst.BaseSuite], bool]],
    ] = DoNotCare()
    orelse: Union[
        "Else",
        None,
        DoNotCareSentinel,
        OneOf[
            Union["Else", None, MatchIfTrue[Callable[[Union[cst.Else, None]], bool]]]
        ],
        AllOf[
            Union["Else", None, MatchIfTrue[Callable[[Union[cst.Else, None]], bool]]]
        ],
        MatchIfTrue[Callable[[Union[cst.Else, None]], bool]],
    ] = DoNotCare()
    asynchronous: Union[
        "Asynchronous",
        None,
        DoNotCareSentinel,
        OneOf[
            Union[
                "Asynchronous",
                None,
                MatchIfTrue[Callable[[Union[cst.Asynchronous, None]], bool]],
            ]
        ],
        AllOf[
            Union[
                "Asynchronous",
                None,
                MatchIfTrue[Callable[[Union[cst.Asynchronous, None]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Union[cst.Asynchronous, None]], bool]],
    ] = DoNotCare()
    leading_lines: Union[
        Sequence[
            Union[
                "EmptyLine",
                DoNotCareSentinel,
                OneOf[Union["EmptyLine", MatchIfTrue[Callable[[cst.EmptyLine], bool]]]],
                AllOf[Union["EmptyLine", MatchIfTrue[Callable[[cst.EmptyLine], bool]]]],
                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                AtLeastN[
                    Union[
                        "EmptyLine",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "EmptyLine",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "EmptyLine",
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                        AtLeastN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "EmptyLine",
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                        AtLeastN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
    ] = DoNotCare()
    whitespace_after_for: Union[
        "SimpleWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        AllOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]],
    ] = DoNotCare()
    whitespace_before_in: Union[
        "SimpleWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        AllOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after_in: Union[
        "SimpleWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        AllOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]],
    ] = DoNotCare()
    whitespace_before_colon: Union[
        "SimpleWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        AllOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class FormattedString(BaseExpression, BaseString, BaseMatcherNode):
    parts: Union[
        Sequence[
            Union[
                "BaseFormattedStringContent",
                DoNotCareSentinel,
                OneOf[
                    Union[
                        "BaseFormattedStringContent",
                        MatchIfTrue[Callable[[cst.BaseFormattedStringContent], bool]],
                    ]
                ],
                AllOf[
                    Union[
                        "BaseFormattedStringContent",
                        MatchIfTrue[Callable[[cst.BaseFormattedStringContent], bool]],
                    ]
                ],
                MatchIfTrue[Callable[[cst.BaseFormattedStringContent], bool]],
                AtLeastN[
                    Union[
                        "BaseFormattedStringContent",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "BaseFormattedStringContent",
                                MatchIfTrue[
                                    Callable[[cst.BaseFormattedStringContent], bool]
                                ],
                            ]
                        ],
                        AllOf[
                            Union[
                                "BaseFormattedStringContent",
                                MatchIfTrue[
                                    Callable[[cst.BaseFormattedStringContent], bool]
                                ],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.BaseFormattedStringContent], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "BaseFormattedStringContent",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "BaseFormattedStringContent",
                                MatchIfTrue[
                                    Callable[[cst.BaseFormattedStringContent], bool]
                                ],
                            ]
                        ],
                        AllOf[
                            Union[
                                "BaseFormattedStringContent",
                                MatchIfTrue[
                                    Callable[[cst.BaseFormattedStringContent], bool]
                                ],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.BaseFormattedStringContent], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "BaseFormattedStringContent",
                        OneOf[
                            Union[
                                "BaseFormattedStringContent",
                                MatchIfTrue[
                                    Callable[[cst.BaseFormattedStringContent], bool]
                                ],
                            ]
                        ],
                        AllOf[
                            Union[
                                "BaseFormattedStringContent",
                                MatchIfTrue[
                                    Callable[[cst.BaseFormattedStringContent], bool]
                                ],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.BaseFormattedStringContent], bool]],
                        AtLeastN[
                            Union[
                                "BaseFormattedStringContent",
                                OneOf[
                                    Union[
                                        "BaseFormattedStringContent",
                                        MatchIfTrue[
                                            Callable[
                                                [cst.BaseFormattedStringContent], bool
                                            ]
                                        ],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "BaseFormattedStringContent",
                                        MatchIfTrue[
                                            Callable[
                                                [cst.BaseFormattedStringContent], bool
                                            ]
                                        ],
                                    ]
                                ],
                                MatchIfTrue[
                                    Callable[[cst.BaseFormattedStringContent], bool]
                                ],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "BaseFormattedStringContent",
                                OneOf[
                                    Union[
                                        "BaseFormattedStringContent",
                                        MatchIfTrue[
                                            Callable[
                                                [cst.BaseFormattedStringContent], bool
                                            ]
                                        ],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "BaseFormattedStringContent",
                                        MatchIfTrue[
                                            Callable[
                                                [cst.BaseFormattedStringContent], bool
                                            ]
                                        ],
                                    ]
                                ],
                                MatchIfTrue[
                                    Callable[[cst.BaseFormattedStringContent], bool]
                                ],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.BaseFormattedStringContent]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "BaseFormattedStringContent",
                        OneOf[
                            Union[
                                "BaseFormattedStringContent",
                                MatchIfTrue[
                                    Callable[[cst.BaseFormattedStringContent], bool]
                                ],
                            ]
                        ],
                        AllOf[
                            Union[
                                "BaseFormattedStringContent",
                                MatchIfTrue[
                                    Callable[[cst.BaseFormattedStringContent], bool]
                                ],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.BaseFormattedStringContent], bool]],
                        AtLeastN[
                            Union[
                                "BaseFormattedStringContent",
                                OneOf[
                                    Union[
                                        "BaseFormattedStringContent",
                                        MatchIfTrue[
                                            Callable[
                                                [cst.BaseFormattedStringContent], bool
                                            ]
                                        ],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "BaseFormattedStringContent",
                                        MatchIfTrue[
                                            Callable[
                                                [cst.BaseFormattedStringContent], bool
                                            ]
                                        ],
                                    ]
                                ],
                                MatchIfTrue[
                                    Callable[[cst.BaseFormattedStringContent], bool]
                                ],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "BaseFormattedStringContent",
                                OneOf[
                                    Union[
                                        "BaseFormattedStringContent",
                                        MatchIfTrue[
                                            Callable[
                                                [cst.BaseFormattedStringContent], bool
                                            ]
                                        ],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "BaseFormattedStringContent",
                                        MatchIfTrue[
                                            Callable[
                                                [cst.BaseFormattedStringContent], bool
                                            ]
                                        ],
                                    ]
                                ],
                                MatchIfTrue[
                                    Callable[[cst.BaseFormattedStringContent], bool]
                                ],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.BaseFormattedStringContent]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.BaseFormattedStringContent]], bool]],
    ] = DoNotCare()
    start: Union[
        str,
        DoNotCareSentinel,
        OneOf[Union[str, MatchIfTrue[Callable[[str], bool]]]],
        AllOf[Union[str, MatchIfTrue[Callable[[str], bool]]]],
        MatchIfTrue[Callable[[str], bool]],
    ] = DoNotCare()
    end: Union[
        Literal[""", "'", """ "", "'''"],
        DoNotCareSentinel,
        OneOf[
            Union[
                Literal[""", "'", """ "", "'''"],
                MatchIfTrue[Callable[[Literal[""", "'", """ "", "'''"]], bool]],
            ]
        ],
        AllOf[
            Union[
                Literal[""", "'", """ "", "'''"],
                MatchIfTrue[Callable[[Literal[""", "'", """ "", "'''"]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Literal[""", "'", """ "", "'''"]], bool]],
    ] = DoNotCare()
    lpar: Union[
        Sequence[
            Union[
                "LeftParen",
                DoNotCareSentinel,
                OneOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                AllOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                AtLeastN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
    ] = DoNotCare()
    rpar: Union[
        Sequence[
            Union[
                "RightParen",
                DoNotCareSentinel,
                OneOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                AllOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                MatchIfTrue[Callable[[cst.RightParen], bool]],
                AtLeastN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class FormattedStringExpression(BaseFormattedStringContent, BaseMatcherNode):
    expression: Union[
        "BaseExpression",
        DoNotCareSentinel,
        OneOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        AllOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        MatchIfTrue[Callable[[cst.BaseExpression], bool]],
    ] = DoNotCare()
    conversion: Union[
        str,
        None,
        DoNotCareSentinel,
        OneOf[Union[str, None, MatchIfTrue[Callable[[Union[str, None]], bool]]]],
        AllOf[Union[str, None, MatchIfTrue[Callable[[Union[str, None]], bool]]]],
        MatchIfTrue[Callable[[Union[str, None]], bool]],
    ] = DoNotCare()
    format_spec: Union[
        Sequence[
            Union[
                "BaseFormattedStringContent",
                DoNotCareSentinel,
                OneOf[
                    Union[
                        "BaseFormattedStringContent",
                        MatchIfTrue[Callable[[cst.BaseFormattedStringContent], bool]],
                    ]
                ],
                AllOf[
                    Union[
                        "BaseFormattedStringContent",
                        MatchIfTrue[Callable[[cst.BaseFormattedStringContent], bool]],
                    ]
                ],
                MatchIfTrue[Callable[[cst.BaseFormattedStringContent], bool]],
                AtLeastN[
                    Union[
                        "BaseFormattedStringContent",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "BaseFormattedStringContent",
                                MatchIfTrue[
                                    Callable[[cst.BaseFormattedStringContent], bool]
                                ],
                            ]
                        ],
                        AllOf[
                            Union[
                                "BaseFormattedStringContent",
                                MatchIfTrue[
                                    Callable[[cst.BaseFormattedStringContent], bool]
                                ],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.BaseFormattedStringContent], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "BaseFormattedStringContent",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "BaseFormattedStringContent",
                                MatchIfTrue[
                                    Callable[[cst.BaseFormattedStringContent], bool]
                                ],
                            ]
                        ],
                        AllOf[
                            Union[
                                "BaseFormattedStringContent",
                                MatchIfTrue[
                                    Callable[[cst.BaseFormattedStringContent], bool]
                                ],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.BaseFormattedStringContent], bool]],
                    ]
                ],
            ]
        ],
        None,
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "BaseFormattedStringContent",
                        OneOf[
                            Union[
                                "BaseFormattedStringContent",
                                MatchIfTrue[
                                    Callable[[cst.BaseFormattedStringContent], bool]
                                ],
                            ]
                        ],
                        AllOf[
                            Union[
                                "BaseFormattedStringContent",
                                MatchIfTrue[
                                    Callable[[cst.BaseFormattedStringContent], bool]
                                ],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.BaseFormattedStringContent], bool]],
                        AtLeastN[
                            Union[
                                "BaseFormattedStringContent",
                                OneOf[
                                    Union[
                                        "BaseFormattedStringContent",
                                        MatchIfTrue[
                                            Callable[
                                                [cst.BaseFormattedStringContent], bool
                                            ]
                                        ],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "BaseFormattedStringContent",
                                        MatchIfTrue[
                                            Callable[
                                                [cst.BaseFormattedStringContent], bool
                                            ]
                                        ],
                                    ]
                                ],
                                MatchIfTrue[
                                    Callable[[cst.BaseFormattedStringContent], bool]
                                ],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "BaseFormattedStringContent",
                                OneOf[
                                    Union[
                                        "BaseFormattedStringContent",
                                        MatchIfTrue[
                                            Callable[
                                                [cst.BaseFormattedStringContent], bool
                                            ]
                                        ],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "BaseFormattedStringContent",
                                        MatchIfTrue[
                                            Callable[
                                                [cst.BaseFormattedStringContent], bool
                                            ]
                                        ],
                                    ]
                                ],
                                MatchIfTrue[
                                    Callable[[cst.BaseFormattedStringContent], bool]
                                ],
                            ]
                        ],
                    ]
                ],
                None,
                MatchIfTrue[
                    Callable[
                        [Union[Sequence[cst.BaseFormattedStringContent], None]], bool
                    ]
                ],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "BaseFormattedStringContent",
                        OneOf[
                            Union[
                                "BaseFormattedStringContent",
                                MatchIfTrue[
                                    Callable[[cst.BaseFormattedStringContent], bool]
                                ],
                            ]
                        ],
                        AllOf[
                            Union[
                                "BaseFormattedStringContent",
                                MatchIfTrue[
                                    Callable[[cst.BaseFormattedStringContent], bool]
                                ],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.BaseFormattedStringContent], bool]],
                        AtLeastN[
                            Union[
                                "BaseFormattedStringContent",
                                OneOf[
                                    Union[
                                        "BaseFormattedStringContent",
                                        MatchIfTrue[
                                            Callable[
                                                [cst.BaseFormattedStringContent], bool
                                            ]
                                        ],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "BaseFormattedStringContent",
                                        MatchIfTrue[
                                            Callable[
                                                [cst.BaseFormattedStringContent], bool
                                            ]
                                        ],
                                    ]
                                ],
                                MatchIfTrue[
                                    Callable[[cst.BaseFormattedStringContent], bool]
                                ],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "BaseFormattedStringContent",
                                OneOf[
                                    Union[
                                        "BaseFormattedStringContent",
                                        MatchIfTrue[
                                            Callable[
                                                [cst.BaseFormattedStringContent], bool
                                            ]
                                        ],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "BaseFormattedStringContent",
                                        MatchIfTrue[
                                            Callable[
                                                [cst.BaseFormattedStringContent], bool
                                            ]
                                        ],
                                    ]
                                ],
                                MatchIfTrue[
                                    Callable[[cst.BaseFormattedStringContent], bool]
                                ],
                            ]
                        ],
                    ]
                ],
                None,
                MatchIfTrue[
                    Callable[
                        [Union[Sequence[cst.BaseFormattedStringContent], None]], bool
                    ]
                ],
            ]
        ],
        MatchIfTrue[
            Callable[[Union[Sequence[cst.BaseFormattedStringContent], None]], bool]
        ],
    ] = DoNotCare()
    whitespace_before_expression: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after_expression: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class FormattedStringText(BaseFormattedStringContent, BaseMatcherNode):
    value: Union[
        str,
        DoNotCareSentinel,
        OneOf[Union[str, MatchIfTrue[Callable[[str], bool]]]],
        AllOf[Union[str, MatchIfTrue[Callable[[str], bool]]]],
        MatchIfTrue[Callable[[str], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class From(BaseMatcherNode):
    item: Union[
        "BaseExpression",
        DoNotCareSentinel,
        OneOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        AllOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        MatchIfTrue[Callable[[cst.BaseExpression], bool]],
    ] = DoNotCare()
    whitespace_before_from: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after_from: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class FunctionDef(BaseCompoundStatement, BaseStatement, BaseMatcherNode):
    name: Union[
        "Name",
        DoNotCareSentinel,
        OneOf[Union["Name", MatchIfTrue[Callable[[cst.Name], bool]]]],
        AllOf[Union["Name", MatchIfTrue[Callable[[cst.Name], bool]]]],
        MatchIfTrue[Callable[[cst.Name], bool]],
    ] = DoNotCare()
    params: Union[
        "Parameters",
        DoNotCareSentinel,
        OneOf[Union["Parameters", MatchIfTrue[Callable[[cst.Parameters], bool]]]],
        AllOf[Union["Parameters", MatchIfTrue[Callable[[cst.Parameters], bool]]]],
        MatchIfTrue[Callable[[cst.Parameters], bool]],
    ] = DoNotCare()
    body: Union[
        "BaseSuite",
        DoNotCareSentinel,
        OneOf[Union["BaseSuite", MatchIfTrue[Callable[[cst.BaseSuite], bool]]]],
        AllOf[Union["BaseSuite", MatchIfTrue[Callable[[cst.BaseSuite], bool]]]],
        MatchIfTrue[Callable[[cst.BaseSuite], bool]],
    ] = DoNotCare()
    decorators: Union[
        Sequence[
            Union[
                "Decorator",
                DoNotCareSentinel,
                OneOf[Union["Decorator", MatchIfTrue[Callable[[cst.Decorator], bool]]]],
                AllOf[Union["Decorator", MatchIfTrue[Callable[[cst.Decorator], bool]]]],
                MatchIfTrue[Callable[[cst.Decorator], bool]],
                AtLeastN[
                    Union[
                        "Decorator",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "Decorator",
                                MatchIfTrue[Callable[[cst.Decorator], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "Decorator",
                                MatchIfTrue[Callable[[cst.Decorator], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.Decorator], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "Decorator",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "Decorator",
                                MatchIfTrue[Callable[[cst.Decorator], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "Decorator",
                                MatchIfTrue[Callable[[cst.Decorator], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.Decorator], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "Decorator",
                        OneOf[
                            Union[
                                "Decorator",
                                MatchIfTrue[Callable[[cst.Decorator], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "Decorator",
                                MatchIfTrue[Callable[[cst.Decorator], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.Decorator], bool]],
                        AtLeastN[
                            Union[
                                "Decorator",
                                OneOf[
                                    Union[
                                        "Decorator",
                                        MatchIfTrue[Callable[[cst.Decorator], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "Decorator",
                                        MatchIfTrue[Callable[[cst.Decorator], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.Decorator], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "Decorator",
                                OneOf[
                                    Union[
                                        "Decorator",
                                        MatchIfTrue[Callable[[cst.Decorator], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "Decorator",
                                        MatchIfTrue[Callable[[cst.Decorator], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.Decorator], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.Decorator]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "Decorator",
                        OneOf[
                            Union[
                                "Decorator",
                                MatchIfTrue[Callable[[cst.Decorator], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "Decorator",
                                MatchIfTrue[Callable[[cst.Decorator], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.Decorator], bool]],
                        AtLeastN[
                            Union[
                                "Decorator",
                                OneOf[
                                    Union[
                                        "Decorator",
                                        MatchIfTrue[Callable[[cst.Decorator], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "Decorator",
                                        MatchIfTrue[Callable[[cst.Decorator], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.Decorator], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "Decorator",
                                OneOf[
                                    Union[
                                        "Decorator",
                                        MatchIfTrue[Callable[[cst.Decorator], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "Decorator",
                                        MatchIfTrue[Callable[[cst.Decorator], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.Decorator], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.Decorator]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.Decorator]], bool]],
    ] = DoNotCare()
    returns: Union[
        "Annotation",
        None,
        DoNotCareSentinel,
        OneOf[
            Union[
                "Annotation",
                None,
                MatchIfTrue[Callable[[Union[cst.Annotation, None]], bool]],
            ]
        ],
        AllOf[
            Union[
                "Annotation",
                None,
                MatchIfTrue[Callable[[Union[cst.Annotation, None]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Union[cst.Annotation, None]], bool]],
    ] = DoNotCare()
    asynchronous: Union[
        "Asynchronous",
        None,
        DoNotCareSentinel,
        OneOf[
            Union[
                "Asynchronous",
                None,
                MatchIfTrue[Callable[[Union[cst.Asynchronous, None]], bool]],
            ]
        ],
        AllOf[
            Union[
                "Asynchronous",
                None,
                MatchIfTrue[Callable[[Union[cst.Asynchronous, None]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Union[cst.Asynchronous, None]], bool]],
    ] = DoNotCare()
    leading_lines: Union[
        Sequence[
            Union[
                "EmptyLine",
                DoNotCareSentinel,
                OneOf[Union["EmptyLine", MatchIfTrue[Callable[[cst.EmptyLine], bool]]]],
                AllOf[Union["EmptyLine", MatchIfTrue[Callable[[cst.EmptyLine], bool]]]],
                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                AtLeastN[
                    Union[
                        "EmptyLine",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "EmptyLine",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "EmptyLine",
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                        AtLeastN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "EmptyLine",
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                        AtLeastN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
    ] = DoNotCare()
    lines_after_decorators: Union[
        Sequence[
            Union[
                "EmptyLine",
                DoNotCareSentinel,
                OneOf[Union["EmptyLine", MatchIfTrue[Callable[[cst.EmptyLine], bool]]]],
                AllOf[Union["EmptyLine", MatchIfTrue[Callable[[cst.EmptyLine], bool]]]],
                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                AtLeastN[
                    Union[
                        "EmptyLine",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "EmptyLine",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "EmptyLine",
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                        AtLeastN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "EmptyLine",
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                        AtLeastN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
    ] = DoNotCare()
    whitespace_after_def: Union[
        "SimpleWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        AllOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after_name: Union[
        "SimpleWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        AllOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]],
    ] = DoNotCare()
    whitespace_before_params: Union[
        "SimpleWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        AllOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]],
    ] = DoNotCare()
    whitespace_before_colon: Union[
        "SimpleWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        AllOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class GeneratorExp(BaseComp, BaseExpression, BaseSimpleComp, BaseMatcherNode):
    elt: Union[
        "BaseAssignTargetExpression",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseAssignTargetExpression",
                MatchIfTrue[Callable[[cst.BaseAssignTargetExpression], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseAssignTargetExpression",
                MatchIfTrue[Callable[[cst.BaseAssignTargetExpression], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseAssignTargetExpression], bool]],
    ] = DoNotCare()
    for_in: Union[
        "CompFor",
        DoNotCareSentinel,
        OneOf[Union["CompFor", MatchIfTrue[Callable[[cst.CompFor], bool]]]],
        AllOf[Union["CompFor", MatchIfTrue[Callable[[cst.CompFor], bool]]]],
        MatchIfTrue[Callable[[cst.CompFor], bool]],
    ] = DoNotCare()
    lpar: Union[
        Sequence[
            Union[
                "LeftParen",
                DoNotCareSentinel,
                OneOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                AllOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                AtLeastN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
    ] = DoNotCare()
    rpar: Union[
        Sequence[
            Union[
                "RightParen",
                DoNotCareSentinel,
                OneOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                AllOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                MatchIfTrue[Callable[[cst.RightParen], bool]],
                AtLeastN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Global(BaseSmallStatement, BaseMatcherNode):
    names: Union[
        Sequence[
            Union[
                "NameItem",
                DoNotCareSentinel,
                OneOf[Union["NameItem", MatchIfTrue[Callable[[cst.NameItem], bool]]]],
                AllOf[Union["NameItem", MatchIfTrue[Callable[[cst.NameItem], bool]]]],
                MatchIfTrue[Callable[[cst.NameItem], bool]],
                AtLeastN[
                    Union[
                        "NameItem",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "NameItem", MatchIfTrue[Callable[[cst.NameItem], bool]]
                            ]
                        ],
                        AllOf[
                            Union[
                                "NameItem", MatchIfTrue[Callable[[cst.NameItem], bool]]
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.NameItem], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "NameItem",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "NameItem", MatchIfTrue[Callable[[cst.NameItem], bool]]
                            ]
                        ],
                        AllOf[
                            Union[
                                "NameItem", MatchIfTrue[Callable[[cst.NameItem], bool]]
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.NameItem], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "NameItem",
                        OneOf[
                            Union[
                                "NameItem", MatchIfTrue[Callable[[cst.NameItem], bool]]
                            ]
                        ],
                        AllOf[
                            Union[
                                "NameItem", MatchIfTrue[Callable[[cst.NameItem], bool]]
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.NameItem], bool]],
                        AtLeastN[
                            Union[
                                "NameItem",
                                OneOf[
                                    Union[
                                        "NameItem",
                                        MatchIfTrue[Callable[[cst.NameItem], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "NameItem",
                                        MatchIfTrue[Callable[[cst.NameItem], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.NameItem], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "NameItem",
                                OneOf[
                                    Union[
                                        "NameItem",
                                        MatchIfTrue[Callable[[cst.NameItem], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "NameItem",
                                        MatchIfTrue[Callable[[cst.NameItem], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.NameItem], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.NameItem]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "NameItem",
                        OneOf[
                            Union[
                                "NameItem", MatchIfTrue[Callable[[cst.NameItem], bool]]
                            ]
                        ],
                        AllOf[
                            Union[
                                "NameItem", MatchIfTrue[Callable[[cst.NameItem], bool]]
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.NameItem], bool]],
                        AtLeastN[
                            Union[
                                "NameItem",
                                OneOf[
                                    Union[
                                        "NameItem",
                                        MatchIfTrue[Callable[[cst.NameItem], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "NameItem",
                                        MatchIfTrue[Callable[[cst.NameItem], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.NameItem], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "NameItem",
                                OneOf[
                                    Union[
                                        "NameItem",
                                        MatchIfTrue[Callable[[cst.NameItem], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "NameItem",
                                        MatchIfTrue[Callable[[cst.NameItem], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.NameItem], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.NameItem]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.NameItem]], bool]],
    ] = DoNotCare()
    whitespace_after_global: Union[
        "SimpleWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        AllOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]],
    ] = DoNotCare()
    semicolon: Union[
        "Semicolon",
        DoNotCareSentinel,
        OneOf[Union["Semicolon", MatchIfTrue[Callable[[cst.Semicolon], bool]]]],
        AllOf[Union["Semicolon", MatchIfTrue[Callable[[cst.Semicolon], bool]]]],
        MatchIfTrue[Callable[[cst.Semicolon], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class GreaterThan(BaseCompOp, BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class GreaterThanEqual(BaseCompOp, BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class If(BaseCompoundStatement, BaseStatement, BaseMatcherNode):
    test: Union[
        "BaseExpression",
        DoNotCareSentinel,
        OneOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        AllOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        MatchIfTrue[Callable[[cst.BaseExpression], bool]],
    ] = DoNotCare()
    body: Union[
        "BaseSuite",
        DoNotCareSentinel,
        OneOf[Union["BaseSuite", MatchIfTrue[Callable[[cst.BaseSuite], bool]]]],
        AllOf[Union["BaseSuite", MatchIfTrue[Callable[[cst.BaseSuite], bool]]]],
        MatchIfTrue[Callable[[cst.BaseSuite], bool]],
    ] = DoNotCare()
    orelse: Union[
        "If",
        "Else",
        None,
        DoNotCareSentinel,
        OneOf[
            Union[
                "If",
                "Else",
                None,
                MatchIfTrue[Callable[[Union[cst.If, cst.Else, None]], bool]],
            ]
        ],
        AllOf[
            Union[
                "If",
                "Else",
                None,
                MatchIfTrue[Callable[[Union[cst.If, cst.Else, None]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Union[cst.If, cst.Else, None]], bool]],
    ] = DoNotCare()
    leading_lines: Union[
        Sequence[
            Union[
                "EmptyLine",
                DoNotCareSentinel,
                OneOf[Union["EmptyLine", MatchIfTrue[Callable[[cst.EmptyLine], bool]]]],
                AllOf[Union["EmptyLine", MatchIfTrue[Callable[[cst.EmptyLine], bool]]]],
                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                AtLeastN[
                    Union[
                        "EmptyLine",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "EmptyLine",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "EmptyLine",
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                        AtLeastN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "EmptyLine",
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                        AtLeastN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
    ] = DoNotCare()
    whitespace_before_test: Union[
        "SimpleWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        AllOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after_test: Union[
        "SimpleWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        AllOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class IfExp(BaseExpression, BaseMatcherNode):
    test: Union[
        "BaseExpression",
        DoNotCareSentinel,
        OneOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        AllOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        MatchIfTrue[Callable[[cst.BaseExpression], bool]],
    ] = DoNotCare()
    body: Union[
        "BaseExpression",
        DoNotCareSentinel,
        OneOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        AllOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        MatchIfTrue[Callable[[cst.BaseExpression], bool]],
    ] = DoNotCare()
    orelse: Union[
        "BaseExpression",
        DoNotCareSentinel,
        OneOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        AllOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        MatchIfTrue[Callable[[cst.BaseExpression], bool]],
    ] = DoNotCare()
    lpar: Union[
        Sequence[
            Union[
                "LeftParen",
                DoNotCareSentinel,
                OneOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                AllOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                AtLeastN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
    ] = DoNotCare()
    rpar: Union[
        Sequence[
            Union[
                "RightParen",
                DoNotCareSentinel,
                OneOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                AllOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                MatchIfTrue[Callable[[cst.RightParen], bool]],
                AtLeastN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
    ] = DoNotCare()
    whitespace_before_if: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after_if: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_before_else: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after_else: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Imaginary(BaseExpression, BaseNumber, BaseMatcherNode):
    value: Union[
        str,
        DoNotCareSentinel,
        OneOf[Union[str, MatchIfTrue[Callable[[str], bool]]]],
        AllOf[Union[str, MatchIfTrue[Callable[[str], bool]]]],
        MatchIfTrue[Callable[[str], bool]],
    ] = DoNotCare()
    lpar: Union[
        Sequence[
            Union[
                "LeftParen",
                DoNotCareSentinel,
                OneOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                AllOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                AtLeastN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
    ] = DoNotCare()
    rpar: Union[
        Sequence[
            Union[
                "RightParen",
                DoNotCareSentinel,
                OneOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                AllOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                MatchIfTrue[Callable[[cst.RightParen], bool]],
                AtLeastN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Import(BaseSmallStatement, BaseMatcherNode):
    names: Union[
        Sequence[
            Union[
                "ImportAlias",
                DoNotCareSentinel,
                OneOf[
                    Union["ImportAlias", MatchIfTrue[Callable[[cst.ImportAlias], bool]]]
                ],
                AllOf[
                    Union["ImportAlias", MatchIfTrue[Callable[[cst.ImportAlias], bool]]]
                ],
                MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                AtLeastN[
                    Union[
                        "ImportAlias",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "ImportAlias",
                                MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "ImportAlias",
                                MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "ImportAlias",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "ImportAlias",
                                MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "ImportAlias",
                                MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "ImportAlias",
                        OneOf[
                            Union[
                                "ImportAlias",
                                MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "ImportAlias",
                                MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                        AtLeastN[
                            Union[
                                "ImportAlias",
                                OneOf[
                                    Union[
                                        "ImportAlias",
                                        MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "ImportAlias",
                                        MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "ImportAlias",
                                OneOf[
                                    Union[
                                        "ImportAlias",
                                        MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "ImportAlias",
                                        MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.ImportAlias]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "ImportAlias",
                        OneOf[
                            Union[
                                "ImportAlias",
                                MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "ImportAlias",
                                MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                        AtLeastN[
                            Union[
                                "ImportAlias",
                                OneOf[
                                    Union[
                                        "ImportAlias",
                                        MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "ImportAlias",
                                        MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "ImportAlias",
                                OneOf[
                                    Union[
                                        "ImportAlias",
                                        MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "ImportAlias",
                                        MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.ImportAlias]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.ImportAlias]], bool]],
    ] = DoNotCare()
    semicolon: Union[
        "Semicolon",
        DoNotCareSentinel,
        OneOf[Union["Semicolon", MatchIfTrue[Callable[[cst.Semicolon], bool]]]],
        AllOf[Union["Semicolon", MatchIfTrue[Callable[[cst.Semicolon], bool]]]],
        MatchIfTrue[Callable[[cst.Semicolon], bool]],
    ] = DoNotCare()
    whitespace_after_import: Union[
        "SimpleWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        AllOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class ImportAlias(BaseMatcherNode):
    name: Union[
        "Attribute",
        "Name",
        DoNotCareSentinel,
        OneOf[
            Union[
                "Attribute",
                "Name",
                MatchIfTrue[Callable[[Union[cst.Attribute, cst.Name]], bool]],
            ]
        ],
        AllOf[
            Union[
                "Attribute",
                "Name",
                MatchIfTrue[Callable[[Union[cst.Attribute, cst.Name]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Union[cst.Attribute, cst.Name]], bool]],
    ] = DoNotCare()
    asname: Union[
        "AsName",
        None,
        DoNotCareSentinel,
        OneOf[
            Union[
                "AsName", None, MatchIfTrue[Callable[[Union[cst.AsName, None]], bool]]
            ]
        ],
        AllOf[
            Union[
                "AsName", None, MatchIfTrue[Callable[[Union[cst.AsName, None]], bool]]
            ]
        ],
        MatchIfTrue[Callable[[Union[cst.AsName, None]], bool]],
    ] = DoNotCare()
    comma: Union[
        "Comma",
        DoNotCareSentinel,
        OneOf[Union["Comma", MatchIfTrue[Callable[[cst.Comma], bool]]]],
        AllOf[Union["Comma", MatchIfTrue[Callable[[cst.Comma], bool]]]],
        MatchIfTrue[Callable[[cst.Comma], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class ImportFrom(BaseSmallStatement, BaseMatcherNode):
    module: Union[
        "Attribute",
        "Name",
        None,
        DoNotCareSentinel,
        OneOf[
            Union[
                "Attribute",
                "Name",
                None,
                MatchIfTrue[Callable[[Union[cst.Attribute, cst.Name, None]], bool]],
            ]
        ],
        AllOf[
            Union[
                "Attribute",
                "Name",
                None,
                MatchIfTrue[Callable[[Union[cst.Attribute, cst.Name, None]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Union[cst.Attribute, cst.Name, None]], bool]],
    ] = DoNotCare()
    names: Union[
        Sequence[
            Union[
                "ImportAlias",
                DoNotCareSentinel,
                OneOf[
                    Union["ImportAlias", MatchIfTrue[Callable[[cst.ImportAlias], bool]]]
                ],
                AllOf[
                    Union["ImportAlias", MatchIfTrue[Callable[[cst.ImportAlias], bool]]]
                ],
                MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                AtLeastN[
                    Union[
                        "ImportAlias",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "ImportAlias",
                                MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "ImportAlias",
                                MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "ImportAlias",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "ImportAlias",
                                MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "ImportAlias",
                                MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                    ]
                ],
            ]
        ],
        "ImportStar",
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "ImportAlias",
                        OneOf[
                            Union[
                                "ImportAlias",
                                MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "ImportAlias",
                                MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                        AtLeastN[
                            Union[
                                "ImportAlias",
                                OneOf[
                                    Union[
                                        "ImportAlias",
                                        MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "ImportAlias",
                                        MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "ImportAlias",
                                OneOf[
                                    Union[
                                        "ImportAlias",
                                        MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "ImportAlias",
                                        MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                            ]
                        ],
                    ]
                ],
                "ImportStar",
                MatchIfTrue[
                    Callable[[Union[Sequence[cst.ImportAlias], cst.ImportStar]], bool]
                ],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "ImportAlias",
                        OneOf[
                            Union[
                                "ImportAlias",
                                MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "ImportAlias",
                                MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                        AtLeastN[
                            Union[
                                "ImportAlias",
                                OneOf[
                                    Union[
                                        "ImportAlias",
                                        MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "ImportAlias",
                                        MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "ImportAlias",
                                OneOf[
                                    Union[
                                        "ImportAlias",
                                        MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "ImportAlias",
                                        MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.ImportAlias], bool]],
                            ]
                        ],
                    ]
                ],
                "ImportStar",
                MatchIfTrue[
                    Callable[[Union[Sequence[cst.ImportAlias], cst.ImportStar]], bool]
                ],
            ]
        ],
        MatchIfTrue[Callable[[Union[Sequence[cst.ImportAlias], cst.ImportStar]], bool]],
    ] = DoNotCare()
    relative: Union[
        Sequence[
            Union[
                "Dot",
                DoNotCareSentinel,
                OneOf[Union["Dot", MatchIfTrue[Callable[[cst.Dot], bool]]]],
                AllOf[Union["Dot", MatchIfTrue[Callable[[cst.Dot], bool]]]],
                MatchIfTrue[Callable[[cst.Dot], bool]],
                AtLeastN[
                    Union[
                        "Dot",
                        DoNotCareSentinel,
                        OneOf[Union["Dot", MatchIfTrue[Callable[[cst.Dot], bool]]]],
                        AllOf[Union["Dot", MatchIfTrue[Callable[[cst.Dot], bool]]]],
                        MatchIfTrue[Callable[[cst.Dot], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "Dot",
                        DoNotCareSentinel,
                        OneOf[Union["Dot", MatchIfTrue[Callable[[cst.Dot], bool]]]],
                        AllOf[Union["Dot", MatchIfTrue[Callable[[cst.Dot], bool]]]],
                        MatchIfTrue[Callable[[cst.Dot], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "Dot",
                        OneOf[Union["Dot", MatchIfTrue[Callable[[cst.Dot], bool]]]],
                        AllOf[Union["Dot", MatchIfTrue[Callable[[cst.Dot], bool]]]],
                        MatchIfTrue[Callable[[cst.Dot], bool]],
                        AtLeastN[
                            Union[
                                "Dot",
                                OneOf[
                                    Union["Dot", MatchIfTrue[Callable[[cst.Dot], bool]]]
                                ],
                                AllOf[
                                    Union["Dot", MatchIfTrue[Callable[[cst.Dot], bool]]]
                                ],
                                MatchIfTrue[Callable[[cst.Dot], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "Dot",
                                OneOf[
                                    Union["Dot", MatchIfTrue[Callable[[cst.Dot], bool]]]
                                ],
                                AllOf[
                                    Union["Dot", MatchIfTrue[Callable[[cst.Dot], bool]]]
                                ],
                                MatchIfTrue[Callable[[cst.Dot], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.Dot]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "Dot",
                        OneOf[Union["Dot", MatchIfTrue[Callable[[cst.Dot], bool]]]],
                        AllOf[Union["Dot", MatchIfTrue[Callable[[cst.Dot], bool]]]],
                        MatchIfTrue[Callable[[cst.Dot], bool]],
                        AtLeastN[
                            Union[
                                "Dot",
                                OneOf[
                                    Union["Dot", MatchIfTrue[Callable[[cst.Dot], bool]]]
                                ],
                                AllOf[
                                    Union["Dot", MatchIfTrue[Callable[[cst.Dot], bool]]]
                                ],
                                MatchIfTrue[Callable[[cst.Dot], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "Dot",
                                OneOf[
                                    Union["Dot", MatchIfTrue[Callable[[cst.Dot], bool]]]
                                ],
                                AllOf[
                                    Union["Dot", MatchIfTrue[Callable[[cst.Dot], bool]]]
                                ],
                                MatchIfTrue[Callable[[cst.Dot], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.Dot]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.Dot]], bool]],
    ] = DoNotCare()
    lpar: Union[
        "LeftParen",
        None,
        DoNotCareSentinel,
        OneOf[
            Union[
                "LeftParen",
                None,
                MatchIfTrue[Callable[[Union[cst.LeftParen, None]], bool]],
            ]
        ],
        AllOf[
            Union[
                "LeftParen",
                None,
                MatchIfTrue[Callable[[Union[cst.LeftParen, None]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Union[cst.LeftParen, None]], bool]],
    ] = DoNotCare()
    rpar: Union[
        "RightParen",
        None,
        DoNotCareSentinel,
        OneOf[
            Union[
                "RightParen",
                None,
                MatchIfTrue[Callable[[Union[cst.RightParen, None]], bool]],
            ]
        ],
        AllOf[
            Union[
                "RightParen",
                None,
                MatchIfTrue[Callable[[Union[cst.RightParen, None]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Union[cst.RightParen, None]], bool]],
    ] = DoNotCare()
    semicolon: Union[
        "Semicolon",
        DoNotCareSentinel,
        OneOf[Union["Semicolon", MatchIfTrue[Callable[[cst.Semicolon], bool]]]],
        AllOf[Union["Semicolon", MatchIfTrue[Callable[[cst.Semicolon], bool]]]],
        MatchIfTrue[Callable[[cst.Semicolon], bool]],
    ] = DoNotCare()
    whitespace_after_from: Union[
        "SimpleWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        AllOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]],
    ] = DoNotCare()
    whitespace_before_import: Union[
        "SimpleWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        AllOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after_import: Union[
        "SimpleWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        AllOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class ImportStar(BaseMatcherNode):
    pass


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class In(BaseCompOp, BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class IndentedBlock(BaseSuite, BaseMatcherNode):
    body: Union[
        Sequence[
            Union[
                "BaseStatement",
                DoNotCareSentinel,
                OneOf[
                    Union[
                        "BaseStatement",
                        MatchIfTrue[Callable[[cst.BaseStatement], bool]],
                    ]
                ],
                AllOf[
                    Union[
                        "BaseStatement",
                        MatchIfTrue[Callable[[cst.BaseStatement], bool]],
                    ]
                ],
                MatchIfTrue[Callable[[cst.BaseStatement], bool]],
                AtLeastN[
                    Union[
                        "BaseStatement",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "BaseStatement",
                                MatchIfTrue[Callable[[cst.BaseStatement], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "BaseStatement",
                                MatchIfTrue[Callable[[cst.BaseStatement], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.BaseStatement], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "BaseStatement",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "BaseStatement",
                                MatchIfTrue[Callable[[cst.BaseStatement], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "BaseStatement",
                                MatchIfTrue[Callable[[cst.BaseStatement], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.BaseStatement], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "BaseStatement",
                        OneOf[
                            Union[
                                "BaseStatement",
                                MatchIfTrue[Callable[[cst.BaseStatement], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "BaseStatement",
                                MatchIfTrue[Callable[[cst.BaseStatement], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.BaseStatement], bool]],
                        AtLeastN[
                            Union[
                                "BaseStatement",
                                OneOf[
                                    Union[
                                        "BaseStatement",
                                        MatchIfTrue[
                                            Callable[[cst.BaseStatement], bool]
                                        ],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "BaseStatement",
                                        MatchIfTrue[
                                            Callable[[cst.BaseStatement], bool]
                                        ],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.BaseStatement], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "BaseStatement",
                                OneOf[
                                    Union[
                                        "BaseStatement",
                                        MatchIfTrue[
                                            Callable[[cst.BaseStatement], bool]
                                        ],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "BaseStatement",
                                        MatchIfTrue[
                                            Callable[[cst.BaseStatement], bool]
                                        ],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.BaseStatement], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.BaseStatement]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "BaseStatement",
                        OneOf[
                            Union[
                                "BaseStatement",
                                MatchIfTrue[Callable[[cst.BaseStatement], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "BaseStatement",
                                MatchIfTrue[Callable[[cst.BaseStatement], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.BaseStatement], bool]],
                        AtLeastN[
                            Union[
                                "BaseStatement",
                                OneOf[
                                    Union[
                                        "BaseStatement",
                                        MatchIfTrue[
                                            Callable[[cst.BaseStatement], bool]
                                        ],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "BaseStatement",
                                        MatchIfTrue[
                                            Callable[[cst.BaseStatement], bool]
                                        ],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.BaseStatement], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "BaseStatement",
                                OneOf[
                                    Union[
                                        "BaseStatement",
                                        MatchIfTrue[
                                            Callable[[cst.BaseStatement], bool]
                                        ],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "BaseStatement",
                                        MatchIfTrue[
                                            Callable[[cst.BaseStatement], bool]
                                        ],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.BaseStatement], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.BaseStatement]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.BaseStatement]], bool]],
    ] = DoNotCare()
    header: Union[
        "TrailingWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "TrailingWhitespace",
                MatchIfTrue[Callable[[cst.TrailingWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "TrailingWhitespace",
                MatchIfTrue[Callable[[cst.TrailingWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.TrailingWhitespace], bool]],
    ] = DoNotCare()
    indent: Union[
        str,
        None,
        DoNotCareSentinel,
        OneOf[Union[str, None, MatchIfTrue[Callable[[Union[str, None]], bool]]]],
        AllOf[Union[str, None, MatchIfTrue[Callable[[Union[str, None]], bool]]]],
        MatchIfTrue[Callable[[Union[str, None]], bool]],
    ] = DoNotCare()
    footer: Union[
        Sequence[
            Union[
                "EmptyLine",
                DoNotCareSentinel,
                OneOf[Union["EmptyLine", MatchIfTrue[Callable[[cst.EmptyLine], bool]]]],
                AllOf[Union["EmptyLine", MatchIfTrue[Callable[[cst.EmptyLine], bool]]]],
                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                AtLeastN[
                    Union[
                        "EmptyLine",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "EmptyLine",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "EmptyLine",
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                        AtLeastN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "EmptyLine",
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                        AtLeastN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Index(BaseMatcherNode):
    value: Union[
        "BaseExpression",
        DoNotCareSentinel,
        OneOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        AllOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        MatchIfTrue[Callable[[cst.BaseExpression], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Integer(BaseExpression, BaseNumber, BaseMatcherNode):
    value: Union[
        str,
        DoNotCareSentinel,
        OneOf[Union[str, MatchIfTrue[Callable[[str], bool]]]],
        AllOf[Union[str, MatchIfTrue[Callable[[str], bool]]]],
        MatchIfTrue[Callable[[str], bool]],
    ] = DoNotCare()
    lpar: Union[
        Sequence[
            Union[
                "LeftParen",
                DoNotCareSentinel,
                OneOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                AllOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                AtLeastN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
    ] = DoNotCare()
    rpar: Union[
        Sequence[
            Union[
                "RightParen",
                DoNotCareSentinel,
                OneOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                AllOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                MatchIfTrue[Callable[[cst.RightParen], bool]],
                AtLeastN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Is(BaseCompOp, BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class IsNot(BaseCompOp, BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_between: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Lambda(BaseExpression, BaseMatcherNode):
    params: Union[
        "Parameters",
        DoNotCareSentinel,
        OneOf[Union["Parameters", MatchIfTrue[Callable[[cst.Parameters], bool]]]],
        AllOf[Union["Parameters", MatchIfTrue[Callable[[cst.Parameters], bool]]]],
        MatchIfTrue[Callable[[cst.Parameters], bool]],
    ] = DoNotCare()
    body: Union[
        "BaseExpression",
        DoNotCareSentinel,
        OneOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        AllOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        MatchIfTrue[Callable[[cst.BaseExpression], bool]],
    ] = DoNotCare()
    colon: Union[
        "Colon",
        DoNotCareSentinel,
        OneOf[Union["Colon", MatchIfTrue[Callable[[cst.Colon], bool]]]],
        AllOf[Union["Colon", MatchIfTrue[Callable[[cst.Colon], bool]]]],
        MatchIfTrue[Callable[[cst.Colon], bool]],
    ] = DoNotCare()
    lpar: Union[
        Sequence[
            Union[
                "LeftParen",
                DoNotCareSentinel,
                OneOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                AllOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                AtLeastN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
    ] = DoNotCare()
    rpar: Union[
        Sequence[
            Union[
                "RightParen",
                DoNotCareSentinel,
                OneOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                AllOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                MatchIfTrue[Callable[[cst.RightParen], bool]],
                AtLeastN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
    ] = DoNotCare()
    whitespace_after_lambda: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class LeftCurlyBrace(BaseMatcherNode):
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class LeftParen(BaseMatcherNode):
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class LeftShift(BaseBinaryOp, BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class LeftShiftAssign(BaseAugOp, BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class LeftSquareBracket(BaseMatcherNode):
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class LessThan(BaseCompOp, BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class LessThanEqual(BaseCompOp, BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class List(
    BaseAssignTargetExpression,
    BaseDelTargetExpression,
    BaseExpression,
    BaseList,
    BaseMatcherNode,
):
    elements: Union[
        Sequence[
            Union[
                "BaseElement",
                DoNotCareSentinel,
                OneOf[
                    Union["BaseElement", MatchIfTrue[Callable[[cst.BaseElement], bool]]]
                ],
                AllOf[
                    Union["BaseElement", MatchIfTrue[Callable[[cst.BaseElement], bool]]]
                ],
                MatchIfTrue[Callable[[cst.BaseElement], bool]],
                AtLeastN[
                    Union[
                        "BaseElement",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "BaseElement",
                                MatchIfTrue[Callable[[cst.BaseElement], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "BaseElement",
                                MatchIfTrue[Callable[[cst.BaseElement], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.BaseElement], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "BaseElement",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "BaseElement",
                                MatchIfTrue[Callable[[cst.BaseElement], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "BaseElement",
                                MatchIfTrue[Callable[[cst.BaseElement], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.BaseElement], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "BaseElement",
                        OneOf[
                            Union[
                                "BaseElement",
                                MatchIfTrue[Callable[[cst.BaseElement], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "BaseElement",
                                MatchIfTrue[Callable[[cst.BaseElement], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.BaseElement], bool]],
                        AtLeastN[
                            Union[
                                "BaseElement",
                                OneOf[
                                    Union[
                                        "BaseElement",
                                        MatchIfTrue[Callable[[cst.BaseElement], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "BaseElement",
                                        MatchIfTrue[Callable[[cst.BaseElement], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.BaseElement], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "BaseElement",
                                OneOf[
                                    Union[
                                        "BaseElement",
                                        MatchIfTrue[Callable[[cst.BaseElement], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "BaseElement",
                                        MatchIfTrue[Callable[[cst.BaseElement], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.BaseElement], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.BaseElement]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "BaseElement",
                        OneOf[
                            Union[
                                "BaseElement",
                                MatchIfTrue[Callable[[cst.BaseElement], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "BaseElement",
                                MatchIfTrue[Callable[[cst.BaseElement], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.BaseElement], bool]],
                        AtLeastN[
                            Union[
                                "BaseElement",
                                OneOf[
                                    Union[
                                        "BaseElement",
                                        MatchIfTrue[Callable[[cst.BaseElement], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "BaseElement",
                                        MatchIfTrue[Callable[[cst.BaseElement], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.BaseElement], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "BaseElement",
                                OneOf[
                                    Union[
                                        "BaseElement",
                                        MatchIfTrue[Callable[[cst.BaseElement], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "BaseElement",
                                        MatchIfTrue[Callable[[cst.BaseElement], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.BaseElement], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.BaseElement]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.BaseElement]], bool]],
    ] = DoNotCare()
    lbracket: Union[
        "LeftSquareBracket",
        DoNotCareSentinel,
        OneOf[
            Union[
                "LeftSquareBracket",
                MatchIfTrue[Callable[[cst.LeftSquareBracket], bool]],
            ]
        ],
        AllOf[
            Union[
                "LeftSquareBracket",
                MatchIfTrue[Callable[[cst.LeftSquareBracket], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.LeftSquareBracket], bool]],
    ] = DoNotCare()
    rbracket: Union[
        "RightSquareBracket",
        DoNotCareSentinel,
        OneOf[
            Union[
                "RightSquareBracket",
                MatchIfTrue[Callable[[cst.RightSquareBracket], bool]],
            ]
        ],
        AllOf[
            Union[
                "RightSquareBracket",
                MatchIfTrue[Callable[[cst.RightSquareBracket], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.RightSquareBracket], bool]],
    ] = DoNotCare()
    lpar: Union[
        Sequence[
            Union[
                "LeftParen",
                DoNotCareSentinel,
                OneOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                AllOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                AtLeastN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
    ] = DoNotCare()
    rpar: Union[
        Sequence[
            Union[
                "RightParen",
                DoNotCareSentinel,
                OneOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                AllOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                MatchIfTrue[Callable[[cst.RightParen], bool]],
                AtLeastN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class ListComp(BaseComp, BaseExpression, BaseList, BaseSimpleComp, BaseMatcherNode):
    elt: Union[
        "BaseAssignTargetExpression",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseAssignTargetExpression",
                MatchIfTrue[Callable[[cst.BaseAssignTargetExpression], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseAssignTargetExpression",
                MatchIfTrue[Callable[[cst.BaseAssignTargetExpression], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseAssignTargetExpression], bool]],
    ] = DoNotCare()
    for_in: Union[
        "CompFor",
        DoNotCareSentinel,
        OneOf[Union["CompFor", MatchIfTrue[Callable[[cst.CompFor], bool]]]],
        AllOf[Union["CompFor", MatchIfTrue[Callable[[cst.CompFor], bool]]]],
        MatchIfTrue[Callable[[cst.CompFor], bool]],
    ] = DoNotCare()
    lbracket: Union[
        "LeftSquareBracket",
        DoNotCareSentinel,
        OneOf[
            Union[
                "LeftSquareBracket",
                MatchIfTrue[Callable[[cst.LeftSquareBracket], bool]],
            ]
        ],
        AllOf[
            Union[
                "LeftSquareBracket",
                MatchIfTrue[Callable[[cst.LeftSquareBracket], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.LeftSquareBracket], bool]],
    ] = DoNotCare()
    rbracket: Union[
        "RightSquareBracket",
        DoNotCareSentinel,
        OneOf[
            Union[
                "RightSquareBracket",
                MatchIfTrue[Callable[[cst.RightSquareBracket], bool]],
            ]
        ],
        AllOf[
            Union[
                "RightSquareBracket",
                MatchIfTrue[Callable[[cst.RightSquareBracket], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.RightSquareBracket], bool]],
    ] = DoNotCare()
    lpar: Union[
        Sequence[
            Union[
                "LeftParen",
                DoNotCareSentinel,
                OneOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                AllOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                AtLeastN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
    ] = DoNotCare()
    rpar: Union[
        Sequence[
            Union[
                "RightParen",
                DoNotCareSentinel,
                OneOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                AllOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                MatchIfTrue[Callable[[cst.RightParen], bool]],
                AtLeastN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class MatrixMultiply(BaseBinaryOp, BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class MatrixMultiplyAssign(BaseAugOp, BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Minus(BaseUnaryOp, BaseMatcherNode):
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Module(BaseMatcherNode):
    body: Union[
        Sequence[
            Union[
                "SimpleStatementLine",
                "BaseCompoundStatement",
                DoNotCareSentinel,
                OneOf[
                    Union[
                        "SimpleStatementLine",
                        "BaseCompoundStatement",
                        MatchIfTrue[
                            Callable[
                                [
                                    Union[
                                        cst.SimpleStatementLine,
                                        cst.BaseCompoundStatement,
                                    ]
                                ],
                                bool,
                            ]
                        ],
                    ]
                ],
                AllOf[
                    Union[
                        "SimpleStatementLine",
                        "BaseCompoundStatement",
                        MatchIfTrue[
                            Callable[
                                [
                                    Union[
                                        cst.SimpleStatementLine,
                                        cst.BaseCompoundStatement,
                                    ]
                                ],
                                bool,
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[
                    Callable[
                        [Union[cst.SimpleStatementLine, cst.BaseCompoundStatement]],
                        bool,
                    ]
                ],
                AtLeastN[
                    Union[
                        "SimpleStatementLine",
                        "BaseCompoundStatement",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "SimpleStatementLine",
                                "BaseCompoundStatement",
                                MatchIfTrue[
                                    Callable[
                                        [
                                            Union[
                                                cst.SimpleStatementLine,
                                                cst.BaseCompoundStatement,
                                            ]
                                        ],
                                        bool,
                                    ]
                                ],
                            ]
                        ],
                        AllOf[
                            Union[
                                "SimpleStatementLine",
                                "BaseCompoundStatement",
                                MatchIfTrue[
                                    Callable[
                                        [
                                            Union[
                                                cst.SimpleStatementLine,
                                                cst.BaseCompoundStatement,
                                            ]
                                        ],
                                        bool,
                                    ]
                                ],
                            ]
                        ],
                        MatchIfTrue[
                            Callable[
                                [
                                    Union[
                                        cst.SimpleStatementLine,
                                        cst.BaseCompoundStatement,
                                    ]
                                ],
                                bool,
                            ]
                        ],
                    ]
                ],
                AtMostN[
                    Union[
                        "SimpleStatementLine",
                        "BaseCompoundStatement",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "SimpleStatementLine",
                                "BaseCompoundStatement",
                                MatchIfTrue[
                                    Callable[
                                        [
                                            Union[
                                                cst.SimpleStatementLine,
                                                cst.BaseCompoundStatement,
                                            ]
                                        ],
                                        bool,
                                    ]
                                ],
                            ]
                        ],
                        AllOf[
                            Union[
                                "SimpleStatementLine",
                                "BaseCompoundStatement",
                                MatchIfTrue[
                                    Callable[
                                        [
                                            Union[
                                                cst.SimpleStatementLine,
                                                cst.BaseCompoundStatement,
                                            ]
                                        ],
                                        bool,
                                    ]
                                ],
                            ]
                        ],
                        MatchIfTrue[
                            Callable[
                                [
                                    Union[
                                        cst.SimpleStatementLine,
                                        cst.BaseCompoundStatement,
                                    ]
                                ],
                                bool,
                            ]
                        ],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "SimpleStatementLine",
                        "BaseCompoundStatement",
                        OneOf[
                            Union[
                                "SimpleStatementLine",
                                "BaseCompoundStatement",
                                MatchIfTrue[
                                    Callable[
                                        [
                                            Union[
                                                cst.SimpleStatementLine,
                                                cst.BaseCompoundStatement,
                                            ]
                                        ],
                                        bool,
                                    ]
                                ],
                            ]
                        ],
                        AllOf[
                            Union[
                                "SimpleStatementLine",
                                "BaseCompoundStatement",
                                MatchIfTrue[
                                    Callable[
                                        [
                                            Union[
                                                cst.SimpleStatementLine,
                                                cst.BaseCompoundStatement,
                                            ]
                                        ],
                                        bool,
                                    ]
                                ],
                            ]
                        ],
                        MatchIfTrue[
                            Callable[
                                [
                                    Union[
                                        cst.SimpleStatementLine,
                                        cst.BaseCompoundStatement,
                                    ]
                                ],
                                bool,
                            ]
                        ],
                        AtLeastN[
                            Union[
                                "SimpleStatementLine",
                                "BaseCompoundStatement",
                                OneOf[
                                    Union[
                                        "SimpleStatementLine",
                                        "BaseCompoundStatement",
                                        MatchIfTrue[
                                            Callable[
                                                [
                                                    Union[
                                                        cst.SimpleStatementLine,
                                                        cst.BaseCompoundStatement,
                                                    ]
                                                ],
                                                bool,
                                            ]
                                        ],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "SimpleStatementLine",
                                        "BaseCompoundStatement",
                                        MatchIfTrue[
                                            Callable[
                                                [
                                                    Union[
                                                        cst.SimpleStatementLine,
                                                        cst.BaseCompoundStatement,
                                                    ]
                                                ],
                                                bool,
                                            ]
                                        ],
                                    ]
                                ],
                                MatchIfTrue[
                                    Callable[
                                        [
                                            Union[
                                                cst.SimpleStatementLine,
                                                cst.BaseCompoundStatement,
                                            ]
                                        ],
                                        bool,
                                    ]
                                ],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "SimpleStatementLine",
                                "BaseCompoundStatement",
                                OneOf[
                                    Union[
                                        "SimpleStatementLine",
                                        "BaseCompoundStatement",
                                        MatchIfTrue[
                                            Callable[
                                                [
                                                    Union[
                                                        cst.SimpleStatementLine,
                                                        cst.BaseCompoundStatement,
                                                    ]
                                                ],
                                                bool,
                                            ]
                                        ],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "SimpleStatementLine",
                                        "BaseCompoundStatement",
                                        MatchIfTrue[
                                            Callable[
                                                [
                                                    Union[
                                                        cst.SimpleStatementLine,
                                                        cst.BaseCompoundStatement,
                                                    ]
                                                ],
                                                bool,
                                            ]
                                        ],
                                    ]
                                ],
                                MatchIfTrue[
                                    Callable[
                                        [
                                            Union[
                                                cst.SimpleStatementLine,
                                                cst.BaseCompoundStatement,
                                            ]
                                        ],
                                        bool,
                                    ]
                                ],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[
                    Callable[
                        [
                            Sequence[
                                Union[
                                    cst.SimpleStatementLine, cst.BaseCompoundStatement
                                ]
                            ]
                        ],
                        bool,
                    ]
                ],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "SimpleStatementLine",
                        "BaseCompoundStatement",
                        OneOf[
                            Union[
                                "SimpleStatementLine",
                                "BaseCompoundStatement",
                                MatchIfTrue[
                                    Callable[
                                        [
                                            Union[
                                                cst.SimpleStatementLine,
                                                cst.BaseCompoundStatement,
                                            ]
                                        ],
                                        bool,
                                    ]
                                ],
                            ]
                        ],
                        AllOf[
                            Union[
                                "SimpleStatementLine",
                                "BaseCompoundStatement",
                                MatchIfTrue[
                                    Callable[
                                        [
                                            Union[
                                                cst.SimpleStatementLine,
                                                cst.BaseCompoundStatement,
                                            ]
                                        ],
                                        bool,
                                    ]
                                ],
                            ]
                        ],
                        MatchIfTrue[
                            Callable[
                                [
                                    Union[
                                        cst.SimpleStatementLine,
                                        cst.BaseCompoundStatement,
                                    ]
                                ],
                                bool,
                            ]
                        ],
                        AtLeastN[
                            Union[
                                "SimpleStatementLine",
                                "BaseCompoundStatement",
                                OneOf[
                                    Union[
                                        "SimpleStatementLine",
                                        "BaseCompoundStatement",
                                        MatchIfTrue[
                                            Callable[
                                                [
                                                    Union[
                                                        cst.SimpleStatementLine,
                                                        cst.BaseCompoundStatement,
                                                    ]
                                                ],
                                                bool,
                                            ]
                                        ],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "SimpleStatementLine",
                                        "BaseCompoundStatement",
                                        MatchIfTrue[
                                            Callable[
                                                [
                                                    Union[
                                                        cst.SimpleStatementLine,
                                                        cst.BaseCompoundStatement,
                                                    ]
                                                ],
                                                bool,
                                            ]
                                        ],
                                    ]
                                ],
                                MatchIfTrue[
                                    Callable[
                                        [
                                            Union[
                                                cst.SimpleStatementLine,
                                                cst.BaseCompoundStatement,
                                            ]
                                        ],
                                        bool,
                                    ]
                                ],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "SimpleStatementLine",
                                "BaseCompoundStatement",
                                OneOf[
                                    Union[
                                        "SimpleStatementLine",
                                        "BaseCompoundStatement",
                                        MatchIfTrue[
                                            Callable[
                                                [
                                                    Union[
                                                        cst.SimpleStatementLine,
                                                        cst.BaseCompoundStatement,
                                                    ]
                                                ],
                                                bool,
                                            ]
                                        ],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "SimpleStatementLine",
                                        "BaseCompoundStatement",
                                        MatchIfTrue[
                                            Callable[
                                                [
                                                    Union[
                                                        cst.SimpleStatementLine,
                                                        cst.BaseCompoundStatement,
                                                    ]
                                                ],
                                                bool,
                                            ]
                                        ],
                                    ]
                                ],
                                MatchIfTrue[
                                    Callable[
                                        [
                                            Union[
                                                cst.SimpleStatementLine,
                                                cst.BaseCompoundStatement,
                                            ]
                                        ],
                                        bool,
                                    ]
                                ],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[
                    Callable[
                        [
                            Sequence[
                                Union[
                                    cst.SimpleStatementLine, cst.BaseCompoundStatement
                                ]
                            ]
                        ],
                        bool,
                    ]
                ],
            ]
        ],
        MatchIfTrue[
            Callable[
                [Sequence[Union[cst.SimpleStatementLine, cst.BaseCompoundStatement]]],
                bool,
            ]
        ],
    ] = DoNotCare()
    header: Union[
        Sequence[
            Union[
                "EmptyLine",
                DoNotCareSentinel,
                OneOf[Union["EmptyLine", MatchIfTrue[Callable[[cst.EmptyLine], bool]]]],
                AllOf[Union["EmptyLine", MatchIfTrue[Callable[[cst.EmptyLine], bool]]]],
                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                AtLeastN[
                    Union[
                        "EmptyLine",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "EmptyLine",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "EmptyLine",
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                        AtLeastN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "EmptyLine",
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                        AtLeastN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
    ] = DoNotCare()
    footer: Union[
        Sequence[
            Union[
                "EmptyLine",
                DoNotCareSentinel,
                OneOf[Union["EmptyLine", MatchIfTrue[Callable[[cst.EmptyLine], bool]]]],
                AllOf[Union["EmptyLine", MatchIfTrue[Callable[[cst.EmptyLine], bool]]]],
                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                AtLeastN[
                    Union[
                        "EmptyLine",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "EmptyLine",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "EmptyLine",
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                        AtLeastN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "EmptyLine",
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                        AtLeastN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
    ] = DoNotCare()
    encoding: Union[
        str,
        DoNotCareSentinel,
        OneOf[Union[str, MatchIfTrue[Callable[[str], bool]]]],
        AllOf[Union[str, MatchIfTrue[Callable[[str], bool]]]],
        MatchIfTrue[Callable[[str], bool]],
    ] = DoNotCare()
    default_indent: Union[
        str,
        DoNotCareSentinel,
        OneOf[Union[str, MatchIfTrue[Callable[[str], bool]]]],
        AllOf[Union[str, MatchIfTrue[Callable[[str], bool]]]],
        MatchIfTrue[Callable[[str], bool]],
    ] = DoNotCare()
    default_newline: Union[
        str,
        DoNotCareSentinel,
        OneOf[Union[str, MatchIfTrue[Callable[[str], bool]]]],
        AllOf[Union[str, MatchIfTrue[Callable[[str], bool]]]],
        MatchIfTrue[Callable[[str], bool]],
    ] = DoNotCare()
    has_trailing_newline: Union[
        bool,
        DoNotCareSentinel,
        OneOf[Union[bool, MatchIfTrue[Callable[[bool], bool]]]],
        AllOf[Union[bool, MatchIfTrue[Callable[[bool], bool]]]],
        MatchIfTrue[Callable[[bool], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Modulo(BaseBinaryOp, BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class ModuloAssign(BaseAugOp, BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Multiply(BaseBinaryOp, BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class MultiplyAssign(BaseAugOp, BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Name(
    BaseAssignTargetExpression, BaseDelTargetExpression, BaseExpression, BaseMatcherNode
):
    value: Union[
        str,
        DoNotCareSentinel,
        OneOf[Union[str, MatchIfTrue[Callable[[str], bool]]]],
        AllOf[Union[str, MatchIfTrue[Callable[[str], bool]]]],
        MatchIfTrue[Callable[[str], bool]],
    ] = DoNotCare()
    lpar: Union[
        Sequence[
            Union[
                "LeftParen",
                DoNotCareSentinel,
                OneOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                AllOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                AtLeastN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
    ] = DoNotCare()
    rpar: Union[
        Sequence[
            Union[
                "RightParen",
                DoNotCareSentinel,
                OneOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                AllOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                MatchIfTrue[Callable[[cst.RightParen], bool]],
                AtLeastN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class NameItem(BaseMatcherNode):
    name: Union[
        "Name",
        DoNotCareSentinel,
        OneOf[Union["Name", MatchIfTrue[Callable[[cst.Name], bool]]]],
        AllOf[Union["Name", MatchIfTrue[Callable[[cst.Name], bool]]]],
        MatchIfTrue[Callable[[cst.Name], bool]],
    ] = DoNotCare()
    comma: Union[
        "Comma",
        DoNotCareSentinel,
        OneOf[Union["Comma", MatchIfTrue[Callable[[cst.Comma], bool]]]],
        AllOf[Union["Comma", MatchIfTrue[Callable[[cst.Comma], bool]]]],
        MatchIfTrue[Callable[[cst.Comma], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Newline(BaseMatcherNode):
    value: Union[
        str,
        None,
        DoNotCareSentinel,
        OneOf[Union[str, None, MatchIfTrue[Callable[[Union[str, None]], bool]]]],
        AllOf[Union[str, None, MatchIfTrue[Callable[[Union[str, None]], bool]]]],
        MatchIfTrue[Callable[[Union[str, None]], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Nonlocal(BaseSmallStatement, BaseMatcherNode):
    names: Union[
        Sequence[
            Union[
                "NameItem",
                DoNotCareSentinel,
                OneOf[Union["NameItem", MatchIfTrue[Callable[[cst.NameItem], bool]]]],
                AllOf[Union["NameItem", MatchIfTrue[Callable[[cst.NameItem], bool]]]],
                MatchIfTrue[Callable[[cst.NameItem], bool]],
                AtLeastN[
                    Union[
                        "NameItem",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "NameItem", MatchIfTrue[Callable[[cst.NameItem], bool]]
                            ]
                        ],
                        AllOf[
                            Union[
                                "NameItem", MatchIfTrue[Callable[[cst.NameItem], bool]]
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.NameItem], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "NameItem",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "NameItem", MatchIfTrue[Callable[[cst.NameItem], bool]]
                            ]
                        ],
                        AllOf[
                            Union[
                                "NameItem", MatchIfTrue[Callable[[cst.NameItem], bool]]
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.NameItem], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "NameItem",
                        OneOf[
                            Union[
                                "NameItem", MatchIfTrue[Callable[[cst.NameItem], bool]]
                            ]
                        ],
                        AllOf[
                            Union[
                                "NameItem", MatchIfTrue[Callable[[cst.NameItem], bool]]
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.NameItem], bool]],
                        AtLeastN[
                            Union[
                                "NameItem",
                                OneOf[
                                    Union[
                                        "NameItem",
                                        MatchIfTrue[Callable[[cst.NameItem], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "NameItem",
                                        MatchIfTrue[Callable[[cst.NameItem], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.NameItem], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "NameItem",
                                OneOf[
                                    Union[
                                        "NameItem",
                                        MatchIfTrue[Callable[[cst.NameItem], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "NameItem",
                                        MatchIfTrue[Callable[[cst.NameItem], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.NameItem], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.NameItem]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "NameItem",
                        OneOf[
                            Union[
                                "NameItem", MatchIfTrue[Callable[[cst.NameItem], bool]]
                            ]
                        ],
                        AllOf[
                            Union[
                                "NameItem", MatchIfTrue[Callable[[cst.NameItem], bool]]
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.NameItem], bool]],
                        AtLeastN[
                            Union[
                                "NameItem",
                                OneOf[
                                    Union[
                                        "NameItem",
                                        MatchIfTrue[Callable[[cst.NameItem], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "NameItem",
                                        MatchIfTrue[Callable[[cst.NameItem], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.NameItem], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "NameItem",
                                OneOf[
                                    Union[
                                        "NameItem",
                                        MatchIfTrue[Callable[[cst.NameItem], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "NameItem",
                                        MatchIfTrue[Callable[[cst.NameItem], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.NameItem], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.NameItem]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.NameItem]], bool]],
    ] = DoNotCare()
    whitespace_after_nonlocal: Union[
        "SimpleWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        AllOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]],
    ] = DoNotCare()
    semicolon: Union[
        "Semicolon",
        DoNotCareSentinel,
        OneOf[Union["Semicolon", MatchIfTrue[Callable[[cst.Semicolon], bool]]]],
        AllOf[Union["Semicolon", MatchIfTrue[Callable[[cst.Semicolon], bool]]]],
        MatchIfTrue[Callable[[cst.Semicolon], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Not(BaseUnaryOp, BaseMatcherNode):
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class NotEqual(BaseCompOp, BaseMatcherNode):
    value: Union[
        str,
        DoNotCareSentinel,
        OneOf[Union[str, MatchIfTrue[Callable[[str], bool]]]],
        AllOf[Union[str, MatchIfTrue[Callable[[str], bool]]]],
        MatchIfTrue[Callable[[str], bool]],
    ] = DoNotCare()
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class NotIn(BaseCompOp, BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_between: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Or(BaseBooleanOp, BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Param(BaseMatcherNode):
    name: Union[
        "Name",
        DoNotCareSentinel,
        OneOf[Union["Name", MatchIfTrue[Callable[[cst.Name], bool]]]],
        AllOf[Union["Name", MatchIfTrue[Callable[[cst.Name], bool]]]],
        MatchIfTrue[Callable[[cst.Name], bool]],
    ] = DoNotCare()
    annotation: Union[
        "Annotation",
        None,
        DoNotCareSentinel,
        OneOf[
            Union[
                "Annotation",
                None,
                MatchIfTrue[Callable[[Union[cst.Annotation, None]], bool]],
            ]
        ],
        AllOf[
            Union[
                "Annotation",
                None,
                MatchIfTrue[Callable[[Union[cst.Annotation, None]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Union[cst.Annotation, None]], bool]],
    ] = DoNotCare()
    equal: Union[
        "AssignEqual",
        DoNotCareSentinel,
        OneOf[Union["AssignEqual", MatchIfTrue[Callable[[cst.AssignEqual], bool]]]],
        AllOf[Union["AssignEqual", MatchIfTrue[Callable[[cst.AssignEqual], bool]]]],
        MatchIfTrue[Callable[[cst.AssignEqual], bool]],
    ] = DoNotCare()
    default: Union[
        "BaseExpression",
        None,
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseExpression",
                None,
                MatchIfTrue[Callable[[Union[cst.BaseExpression, None]], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseExpression",
                None,
                MatchIfTrue[Callable[[Union[cst.BaseExpression, None]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Union[cst.BaseExpression, None]], bool]],
    ] = DoNotCare()
    comma: Union[
        "Comma",
        DoNotCareSentinel,
        OneOf[Union["Comma", MatchIfTrue[Callable[[cst.Comma], bool]]]],
        AllOf[Union["Comma", MatchIfTrue[Callable[[cst.Comma], bool]]]],
        MatchIfTrue[Callable[[cst.Comma], bool]],
    ] = DoNotCare()
    star: Union[
        str,
        DoNotCareSentinel,
        OneOf[Union[str, MatchIfTrue[Callable[[str], bool]]]],
        AllOf[Union[str, MatchIfTrue[Callable[[str], bool]]]],
        MatchIfTrue[Callable[[str], bool]],
    ] = DoNotCare()
    whitespace_after_star: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after_param: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class ParamStar(BaseMatcherNode):
    comma: Union[
        "Comma",
        DoNotCareSentinel,
        OneOf[Union["Comma", MatchIfTrue[Callable[[cst.Comma], bool]]]],
        AllOf[Union["Comma", MatchIfTrue[Callable[[cst.Comma], bool]]]],
        MatchIfTrue[Callable[[cst.Comma], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Parameters(BaseMatcherNode):
    params: Union[
        Sequence[
            Union[
                "Param",
                DoNotCareSentinel,
                OneOf[Union["Param", MatchIfTrue[Callable[[cst.Param], bool]]]],
                AllOf[Union["Param", MatchIfTrue[Callable[[cst.Param], bool]]]],
                MatchIfTrue[Callable[[cst.Param], bool]],
                AtLeastN[
                    Union[
                        "Param",
                        DoNotCareSentinel,
                        OneOf[Union["Param", MatchIfTrue[Callable[[cst.Param], bool]]]],
                        AllOf[Union["Param", MatchIfTrue[Callable[[cst.Param], bool]]]],
                        MatchIfTrue[Callable[[cst.Param], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "Param",
                        DoNotCareSentinel,
                        OneOf[Union["Param", MatchIfTrue[Callable[[cst.Param], bool]]]],
                        AllOf[Union["Param", MatchIfTrue[Callable[[cst.Param], bool]]]],
                        MatchIfTrue[Callable[[cst.Param], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "Param",
                        OneOf[Union["Param", MatchIfTrue[Callable[[cst.Param], bool]]]],
                        AllOf[Union["Param", MatchIfTrue[Callable[[cst.Param], bool]]]],
                        MatchIfTrue[Callable[[cst.Param], bool]],
                        AtLeastN[
                            Union[
                                "Param",
                                OneOf[
                                    Union[
                                        "Param",
                                        MatchIfTrue[Callable[[cst.Param], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "Param",
                                        MatchIfTrue[Callable[[cst.Param], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.Param], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "Param",
                                OneOf[
                                    Union[
                                        "Param",
                                        MatchIfTrue[Callable[[cst.Param], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "Param",
                                        MatchIfTrue[Callable[[cst.Param], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.Param], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.Param]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "Param",
                        OneOf[Union["Param", MatchIfTrue[Callable[[cst.Param], bool]]]],
                        AllOf[Union["Param", MatchIfTrue[Callable[[cst.Param], bool]]]],
                        MatchIfTrue[Callable[[cst.Param], bool]],
                        AtLeastN[
                            Union[
                                "Param",
                                OneOf[
                                    Union[
                                        "Param",
                                        MatchIfTrue[Callable[[cst.Param], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "Param",
                                        MatchIfTrue[Callable[[cst.Param], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.Param], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "Param",
                                OneOf[
                                    Union[
                                        "Param",
                                        MatchIfTrue[Callable[[cst.Param], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "Param",
                                        MatchIfTrue[Callable[[cst.Param], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.Param], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.Param]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.Param]], bool]],
    ] = DoNotCare()
    default_params: Union[
        Sequence[
            Union[
                "Param",
                DoNotCareSentinel,
                OneOf[Union["Param", MatchIfTrue[Callable[[cst.Param], bool]]]],
                AllOf[Union["Param", MatchIfTrue[Callable[[cst.Param], bool]]]],
                MatchIfTrue[Callable[[cst.Param], bool]],
                AtLeastN[
                    Union[
                        "Param",
                        DoNotCareSentinel,
                        OneOf[Union["Param", MatchIfTrue[Callable[[cst.Param], bool]]]],
                        AllOf[Union["Param", MatchIfTrue[Callable[[cst.Param], bool]]]],
                        MatchIfTrue[Callable[[cst.Param], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "Param",
                        DoNotCareSentinel,
                        OneOf[Union["Param", MatchIfTrue[Callable[[cst.Param], bool]]]],
                        AllOf[Union["Param", MatchIfTrue[Callable[[cst.Param], bool]]]],
                        MatchIfTrue[Callable[[cst.Param], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "Param",
                        OneOf[Union["Param", MatchIfTrue[Callable[[cst.Param], bool]]]],
                        AllOf[Union["Param", MatchIfTrue[Callable[[cst.Param], bool]]]],
                        MatchIfTrue[Callable[[cst.Param], bool]],
                        AtLeastN[
                            Union[
                                "Param",
                                OneOf[
                                    Union[
                                        "Param",
                                        MatchIfTrue[Callable[[cst.Param], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "Param",
                                        MatchIfTrue[Callable[[cst.Param], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.Param], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "Param",
                                OneOf[
                                    Union[
                                        "Param",
                                        MatchIfTrue[Callable[[cst.Param], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "Param",
                                        MatchIfTrue[Callable[[cst.Param], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.Param], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.Param]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "Param",
                        OneOf[Union["Param", MatchIfTrue[Callable[[cst.Param], bool]]]],
                        AllOf[Union["Param", MatchIfTrue[Callable[[cst.Param], bool]]]],
                        MatchIfTrue[Callable[[cst.Param], bool]],
                        AtLeastN[
                            Union[
                                "Param",
                                OneOf[
                                    Union[
                                        "Param",
                                        MatchIfTrue[Callable[[cst.Param], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "Param",
                                        MatchIfTrue[Callable[[cst.Param], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.Param], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "Param",
                                OneOf[
                                    Union[
                                        "Param",
                                        MatchIfTrue[Callable[[cst.Param], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "Param",
                                        MatchIfTrue[Callable[[cst.Param], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.Param], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.Param]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.Param]], bool]],
    ] = DoNotCare()
    star_arg: Union[
        "Param",
        "ParamStar",
        DoNotCareSentinel,
        OneOf[
            Union[
                "Param",
                "ParamStar",
                MatchIfTrue[Callable[[Union[cst.Param, cst.ParamStar]], bool]],
            ]
        ],
        AllOf[
            Union[
                "Param",
                "ParamStar",
                MatchIfTrue[Callable[[Union[cst.Param, cst.ParamStar]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Union[cst.Param, cst.ParamStar]], bool]],
    ] = DoNotCare()
    kwonly_params: Union[
        Sequence[
            Union[
                "Param",
                DoNotCareSentinel,
                OneOf[Union["Param", MatchIfTrue[Callable[[cst.Param], bool]]]],
                AllOf[Union["Param", MatchIfTrue[Callable[[cst.Param], bool]]]],
                MatchIfTrue[Callable[[cst.Param], bool]],
                AtLeastN[
                    Union[
                        "Param",
                        DoNotCareSentinel,
                        OneOf[Union["Param", MatchIfTrue[Callable[[cst.Param], bool]]]],
                        AllOf[Union["Param", MatchIfTrue[Callable[[cst.Param], bool]]]],
                        MatchIfTrue[Callable[[cst.Param], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "Param",
                        DoNotCareSentinel,
                        OneOf[Union["Param", MatchIfTrue[Callable[[cst.Param], bool]]]],
                        AllOf[Union["Param", MatchIfTrue[Callable[[cst.Param], bool]]]],
                        MatchIfTrue[Callable[[cst.Param], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "Param",
                        OneOf[Union["Param", MatchIfTrue[Callable[[cst.Param], bool]]]],
                        AllOf[Union["Param", MatchIfTrue[Callable[[cst.Param], bool]]]],
                        MatchIfTrue[Callable[[cst.Param], bool]],
                        AtLeastN[
                            Union[
                                "Param",
                                OneOf[
                                    Union[
                                        "Param",
                                        MatchIfTrue[Callable[[cst.Param], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "Param",
                                        MatchIfTrue[Callable[[cst.Param], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.Param], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "Param",
                                OneOf[
                                    Union[
                                        "Param",
                                        MatchIfTrue[Callable[[cst.Param], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "Param",
                                        MatchIfTrue[Callable[[cst.Param], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.Param], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.Param]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "Param",
                        OneOf[Union["Param", MatchIfTrue[Callable[[cst.Param], bool]]]],
                        AllOf[Union["Param", MatchIfTrue[Callable[[cst.Param], bool]]]],
                        MatchIfTrue[Callable[[cst.Param], bool]],
                        AtLeastN[
                            Union[
                                "Param",
                                OneOf[
                                    Union[
                                        "Param",
                                        MatchIfTrue[Callable[[cst.Param], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "Param",
                                        MatchIfTrue[Callable[[cst.Param], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.Param], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "Param",
                                OneOf[
                                    Union[
                                        "Param",
                                        MatchIfTrue[Callable[[cst.Param], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "Param",
                                        MatchIfTrue[Callable[[cst.Param], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.Param], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.Param]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.Param]], bool]],
    ] = DoNotCare()
    star_kwarg: Union[
        "Param",
        None,
        DoNotCareSentinel,
        OneOf[
            Union["Param", None, MatchIfTrue[Callable[[Union[cst.Param, None]], bool]]]
        ],
        AllOf[
            Union["Param", None, MatchIfTrue[Callable[[Union[cst.Param, None]], bool]]]
        ],
        MatchIfTrue[Callable[[Union[cst.Param, None]], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class ParenthesizedWhitespace(BaseParenthesizableWhitespace, BaseMatcherNode):
    first_line: Union[
        "TrailingWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "TrailingWhitespace",
                MatchIfTrue[Callable[[cst.TrailingWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "TrailingWhitespace",
                MatchIfTrue[Callable[[cst.TrailingWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.TrailingWhitespace], bool]],
    ] = DoNotCare()
    empty_lines: Union[
        Sequence[
            Union[
                "EmptyLine",
                DoNotCareSentinel,
                OneOf[Union["EmptyLine", MatchIfTrue[Callable[[cst.EmptyLine], bool]]]],
                AllOf[Union["EmptyLine", MatchIfTrue[Callable[[cst.EmptyLine], bool]]]],
                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                AtLeastN[
                    Union[
                        "EmptyLine",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "EmptyLine",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "EmptyLine",
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                        AtLeastN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "EmptyLine",
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                        AtLeastN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
    ] = DoNotCare()
    indent: Union[
        bool,
        DoNotCareSentinel,
        OneOf[Union[bool, MatchIfTrue[Callable[[bool], bool]]]],
        AllOf[Union[bool, MatchIfTrue[Callable[[bool], bool]]]],
        MatchIfTrue[Callable[[bool], bool]],
    ] = DoNotCare()
    last_line: Union[
        "SimpleWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        AllOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Pass(BaseSmallStatement, BaseMatcherNode):
    semicolon: Union[
        "Semicolon",
        DoNotCareSentinel,
        OneOf[Union["Semicolon", MatchIfTrue[Callable[[cst.Semicolon], bool]]]],
        AllOf[Union["Semicolon", MatchIfTrue[Callable[[cst.Semicolon], bool]]]],
        MatchIfTrue[Callable[[cst.Semicolon], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Plus(BaseUnaryOp, BaseMatcherNode):
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Power(BaseBinaryOp, BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class PowerAssign(BaseAugOp, BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Raise(BaseSmallStatement, BaseMatcherNode):
    exc: Union[
        "BaseExpression",
        None,
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseExpression",
                None,
                MatchIfTrue[Callable[[Union[cst.BaseExpression, None]], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseExpression",
                None,
                MatchIfTrue[Callable[[Union[cst.BaseExpression, None]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Union[cst.BaseExpression, None]], bool]],
    ] = DoNotCare()
    cause: Union[
        "From",
        None,
        DoNotCareSentinel,
        OneOf[
            Union["From", None, MatchIfTrue[Callable[[Union[cst.From, None]], bool]]]
        ],
        AllOf[
            Union["From", None, MatchIfTrue[Callable[[Union[cst.From, None]], bool]]]
        ],
        MatchIfTrue[Callable[[Union[cst.From, None]], bool]],
    ] = DoNotCare()
    whitespace_after_raise: Union[
        "SimpleWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        AllOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]],
    ] = DoNotCare()
    semicolon: Union[
        "Semicolon",
        DoNotCareSentinel,
        OneOf[Union["Semicolon", MatchIfTrue[Callable[[cst.Semicolon], bool]]]],
        AllOf[Union["Semicolon", MatchIfTrue[Callable[[cst.Semicolon], bool]]]],
        MatchIfTrue[Callable[[cst.Semicolon], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Return(BaseSmallStatement, BaseMatcherNode):
    value: Union[
        "BaseExpression",
        None,
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseExpression",
                None,
                MatchIfTrue[Callable[[Union[cst.BaseExpression, None]], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseExpression",
                None,
                MatchIfTrue[Callable[[Union[cst.BaseExpression, None]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Union[cst.BaseExpression, None]], bool]],
    ] = DoNotCare()
    whitespace_after_return: Union[
        "SimpleWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        AllOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]],
    ] = DoNotCare()
    semicolon: Union[
        "Semicolon",
        DoNotCareSentinel,
        OneOf[Union["Semicolon", MatchIfTrue[Callable[[cst.Semicolon], bool]]]],
        AllOf[Union["Semicolon", MatchIfTrue[Callable[[cst.Semicolon], bool]]]],
        MatchIfTrue[Callable[[cst.Semicolon], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class RightCurlyBrace(BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class RightParen(BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class RightShift(BaseBinaryOp, BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class RightShiftAssign(BaseAugOp, BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class RightSquareBracket(BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Semicolon(BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Set(BaseExpression, BaseSet, BaseMatcherNode):
    elements: Union[
        Sequence[
            Union[
                "BaseElement",
                DoNotCareSentinel,
                OneOf[
                    Union["BaseElement", MatchIfTrue[Callable[[cst.BaseElement], bool]]]
                ],
                AllOf[
                    Union["BaseElement", MatchIfTrue[Callable[[cst.BaseElement], bool]]]
                ],
                MatchIfTrue[Callable[[cst.BaseElement], bool]],
                AtLeastN[
                    Union[
                        "BaseElement",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "BaseElement",
                                MatchIfTrue[Callable[[cst.BaseElement], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "BaseElement",
                                MatchIfTrue[Callable[[cst.BaseElement], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.BaseElement], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "BaseElement",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "BaseElement",
                                MatchIfTrue[Callable[[cst.BaseElement], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "BaseElement",
                                MatchIfTrue[Callable[[cst.BaseElement], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.BaseElement], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "BaseElement",
                        OneOf[
                            Union[
                                "BaseElement",
                                MatchIfTrue[Callable[[cst.BaseElement], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "BaseElement",
                                MatchIfTrue[Callable[[cst.BaseElement], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.BaseElement], bool]],
                        AtLeastN[
                            Union[
                                "BaseElement",
                                OneOf[
                                    Union[
                                        "BaseElement",
                                        MatchIfTrue[Callable[[cst.BaseElement], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "BaseElement",
                                        MatchIfTrue[Callable[[cst.BaseElement], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.BaseElement], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "BaseElement",
                                OneOf[
                                    Union[
                                        "BaseElement",
                                        MatchIfTrue[Callable[[cst.BaseElement], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "BaseElement",
                                        MatchIfTrue[Callable[[cst.BaseElement], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.BaseElement], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.BaseElement]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "BaseElement",
                        OneOf[
                            Union[
                                "BaseElement",
                                MatchIfTrue[Callable[[cst.BaseElement], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "BaseElement",
                                MatchIfTrue[Callable[[cst.BaseElement], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.BaseElement], bool]],
                        AtLeastN[
                            Union[
                                "BaseElement",
                                OneOf[
                                    Union[
                                        "BaseElement",
                                        MatchIfTrue[Callable[[cst.BaseElement], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "BaseElement",
                                        MatchIfTrue[Callable[[cst.BaseElement], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.BaseElement], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "BaseElement",
                                OneOf[
                                    Union[
                                        "BaseElement",
                                        MatchIfTrue[Callable[[cst.BaseElement], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "BaseElement",
                                        MatchIfTrue[Callable[[cst.BaseElement], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.BaseElement], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.BaseElement]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.BaseElement]], bool]],
    ] = DoNotCare()
    lbrace: Union[
        "LeftCurlyBrace",
        DoNotCareSentinel,
        OneOf[
            Union["LeftCurlyBrace", MatchIfTrue[Callable[[cst.LeftCurlyBrace], bool]]]
        ],
        AllOf[
            Union["LeftCurlyBrace", MatchIfTrue[Callable[[cst.LeftCurlyBrace], bool]]]
        ],
        MatchIfTrue[Callable[[cst.LeftCurlyBrace], bool]],
    ] = DoNotCare()
    rbrace: Union[
        "RightCurlyBrace",
        DoNotCareSentinel,
        OneOf[
            Union["RightCurlyBrace", MatchIfTrue[Callable[[cst.RightCurlyBrace], bool]]]
        ],
        AllOf[
            Union["RightCurlyBrace", MatchIfTrue[Callable[[cst.RightCurlyBrace], bool]]]
        ],
        MatchIfTrue[Callable[[cst.RightCurlyBrace], bool]],
    ] = DoNotCare()
    lpar: Union[
        Sequence[
            Union[
                "LeftParen",
                DoNotCareSentinel,
                OneOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                AllOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                AtLeastN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
    ] = DoNotCare()
    rpar: Union[
        Sequence[
            Union[
                "RightParen",
                DoNotCareSentinel,
                OneOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                AllOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                MatchIfTrue[Callable[[cst.RightParen], bool]],
                AtLeastN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class SetComp(BaseComp, BaseExpression, BaseSet, BaseSimpleComp, BaseMatcherNode):
    elt: Union[
        "BaseAssignTargetExpression",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseAssignTargetExpression",
                MatchIfTrue[Callable[[cst.BaseAssignTargetExpression], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseAssignTargetExpression",
                MatchIfTrue[Callable[[cst.BaseAssignTargetExpression], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseAssignTargetExpression], bool]],
    ] = DoNotCare()
    for_in: Union[
        "CompFor",
        DoNotCareSentinel,
        OneOf[Union["CompFor", MatchIfTrue[Callable[[cst.CompFor], bool]]]],
        AllOf[Union["CompFor", MatchIfTrue[Callable[[cst.CompFor], bool]]]],
        MatchIfTrue[Callable[[cst.CompFor], bool]],
    ] = DoNotCare()
    lbrace: Union[
        "LeftCurlyBrace",
        DoNotCareSentinel,
        OneOf[
            Union["LeftCurlyBrace", MatchIfTrue[Callable[[cst.LeftCurlyBrace], bool]]]
        ],
        AllOf[
            Union["LeftCurlyBrace", MatchIfTrue[Callable[[cst.LeftCurlyBrace], bool]]]
        ],
        MatchIfTrue[Callable[[cst.LeftCurlyBrace], bool]],
    ] = DoNotCare()
    rbrace: Union[
        "RightCurlyBrace",
        DoNotCareSentinel,
        OneOf[
            Union["RightCurlyBrace", MatchIfTrue[Callable[[cst.RightCurlyBrace], bool]]]
        ],
        AllOf[
            Union["RightCurlyBrace", MatchIfTrue[Callable[[cst.RightCurlyBrace], bool]]]
        ],
        MatchIfTrue[Callable[[cst.RightCurlyBrace], bool]],
    ] = DoNotCare()
    lpar: Union[
        Sequence[
            Union[
                "LeftParen",
                DoNotCareSentinel,
                OneOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                AllOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                AtLeastN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
    ] = DoNotCare()
    rpar: Union[
        Sequence[
            Union[
                "RightParen",
                DoNotCareSentinel,
                OneOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                AllOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                MatchIfTrue[Callable[[cst.RightParen], bool]],
                AtLeastN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class SimpleStatementLine(BaseStatement, BaseMatcherNode):
    body: Union[
        Sequence[
            Union[
                "BaseSmallStatement",
                DoNotCareSentinel,
                OneOf[
                    Union[
                        "BaseSmallStatement",
                        MatchIfTrue[Callable[[cst.BaseSmallStatement], bool]],
                    ]
                ],
                AllOf[
                    Union[
                        "BaseSmallStatement",
                        MatchIfTrue[Callable[[cst.BaseSmallStatement], bool]],
                    ]
                ],
                MatchIfTrue[Callable[[cst.BaseSmallStatement], bool]],
                AtLeastN[
                    Union[
                        "BaseSmallStatement",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "BaseSmallStatement",
                                MatchIfTrue[Callable[[cst.BaseSmallStatement], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "BaseSmallStatement",
                                MatchIfTrue[Callable[[cst.BaseSmallStatement], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.BaseSmallStatement], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "BaseSmallStatement",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "BaseSmallStatement",
                                MatchIfTrue[Callable[[cst.BaseSmallStatement], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "BaseSmallStatement",
                                MatchIfTrue[Callable[[cst.BaseSmallStatement], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.BaseSmallStatement], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "BaseSmallStatement",
                        OneOf[
                            Union[
                                "BaseSmallStatement",
                                MatchIfTrue[Callable[[cst.BaseSmallStatement], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "BaseSmallStatement",
                                MatchIfTrue[Callable[[cst.BaseSmallStatement], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.BaseSmallStatement], bool]],
                        AtLeastN[
                            Union[
                                "BaseSmallStatement",
                                OneOf[
                                    Union[
                                        "BaseSmallStatement",
                                        MatchIfTrue[
                                            Callable[[cst.BaseSmallStatement], bool]
                                        ],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "BaseSmallStatement",
                                        MatchIfTrue[
                                            Callable[[cst.BaseSmallStatement], bool]
                                        ],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.BaseSmallStatement], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "BaseSmallStatement",
                                OneOf[
                                    Union[
                                        "BaseSmallStatement",
                                        MatchIfTrue[
                                            Callable[[cst.BaseSmallStatement], bool]
                                        ],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "BaseSmallStatement",
                                        MatchIfTrue[
                                            Callable[[cst.BaseSmallStatement], bool]
                                        ],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.BaseSmallStatement], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.BaseSmallStatement]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "BaseSmallStatement",
                        OneOf[
                            Union[
                                "BaseSmallStatement",
                                MatchIfTrue[Callable[[cst.BaseSmallStatement], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "BaseSmallStatement",
                                MatchIfTrue[Callable[[cst.BaseSmallStatement], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.BaseSmallStatement], bool]],
                        AtLeastN[
                            Union[
                                "BaseSmallStatement",
                                OneOf[
                                    Union[
                                        "BaseSmallStatement",
                                        MatchIfTrue[
                                            Callable[[cst.BaseSmallStatement], bool]
                                        ],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "BaseSmallStatement",
                                        MatchIfTrue[
                                            Callable[[cst.BaseSmallStatement], bool]
                                        ],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.BaseSmallStatement], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "BaseSmallStatement",
                                OneOf[
                                    Union[
                                        "BaseSmallStatement",
                                        MatchIfTrue[
                                            Callable[[cst.BaseSmallStatement], bool]
                                        ],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "BaseSmallStatement",
                                        MatchIfTrue[
                                            Callable[[cst.BaseSmallStatement], bool]
                                        ],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.BaseSmallStatement], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.BaseSmallStatement]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.BaseSmallStatement]], bool]],
    ] = DoNotCare()
    leading_lines: Union[
        Sequence[
            Union[
                "EmptyLine",
                DoNotCareSentinel,
                OneOf[Union["EmptyLine", MatchIfTrue[Callable[[cst.EmptyLine], bool]]]],
                AllOf[Union["EmptyLine", MatchIfTrue[Callable[[cst.EmptyLine], bool]]]],
                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                AtLeastN[
                    Union[
                        "EmptyLine",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "EmptyLine",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "EmptyLine",
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                        AtLeastN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "EmptyLine",
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                        AtLeastN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
    ] = DoNotCare()
    trailing_whitespace: Union[
        "TrailingWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "TrailingWhitespace",
                MatchIfTrue[Callable[[cst.TrailingWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "TrailingWhitespace",
                MatchIfTrue[Callable[[cst.TrailingWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.TrailingWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class SimpleStatementSuite(BaseSuite, BaseMatcherNode):
    body: Union[
        Sequence[
            Union[
                "BaseSmallStatement",
                DoNotCareSentinel,
                OneOf[
                    Union[
                        "BaseSmallStatement",
                        MatchIfTrue[Callable[[cst.BaseSmallStatement], bool]],
                    ]
                ],
                AllOf[
                    Union[
                        "BaseSmallStatement",
                        MatchIfTrue[Callable[[cst.BaseSmallStatement], bool]],
                    ]
                ],
                MatchIfTrue[Callable[[cst.BaseSmallStatement], bool]],
                AtLeastN[
                    Union[
                        "BaseSmallStatement",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "BaseSmallStatement",
                                MatchIfTrue[Callable[[cst.BaseSmallStatement], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "BaseSmallStatement",
                                MatchIfTrue[Callable[[cst.BaseSmallStatement], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.BaseSmallStatement], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "BaseSmallStatement",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "BaseSmallStatement",
                                MatchIfTrue[Callable[[cst.BaseSmallStatement], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "BaseSmallStatement",
                                MatchIfTrue[Callable[[cst.BaseSmallStatement], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.BaseSmallStatement], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "BaseSmallStatement",
                        OneOf[
                            Union[
                                "BaseSmallStatement",
                                MatchIfTrue[Callable[[cst.BaseSmallStatement], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "BaseSmallStatement",
                                MatchIfTrue[Callable[[cst.BaseSmallStatement], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.BaseSmallStatement], bool]],
                        AtLeastN[
                            Union[
                                "BaseSmallStatement",
                                OneOf[
                                    Union[
                                        "BaseSmallStatement",
                                        MatchIfTrue[
                                            Callable[[cst.BaseSmallStatement], bool]
                                        ],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "BaseSmallStatement",
                                        MatchIfTrue[
                                            Callable[[cst.BaseSmallStatement], bool]
                                        ],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.BaseSmallStatement], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "BaseSmallStatement",
                                OneOf[
                                    Union[
                                        "BaseSmallStatement",
                                        MatchIfTrue[
                                            Callable[[cst.BaseSmallStatement], bool]
                                        ],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "BaseSmallStatement",
                                        MatchIfTrue[
                                            Callable[[cst.BaseSmallStatement], bool]
                                        ],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.BaseSmallStatement], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.BaseSmallStatement]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "BaseSmallStatement",
                        OneOf[
                            Union[
                                "BaseSmallStatement",
                                MatchIfTrue[Callable[[cst.BaseSmallStatement], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "BaseSmallStatement",
                                MatchIfTrue[Callable[[cst.BaseSmallStatement], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.BaseSmallStatement], bool]],
                        AtLeastN[
                            Union[
                                "BaseSmallStatement",
                                OneOf[
                                    Union[
                                        "BaseSmallStatement",
                                        MatchIfTrue[
                                            Callable[[cst.BaseSmallStatement], bool]
                                        ],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "BaseSmallStatement",
                                        MatchIfTrue[
                                            Callable[[cst.BaseSmallStatement], bool]
                                        ],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.BaseSmallStatement], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "BaseSmallStatement",
                                OneOf[
                                    Union[
                                        "BaseSmallStatement",
                                        MatchIfTrue[
                                            Callable[[cst.BaseSmallStatement], bool]
                                        ],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "BaseSmallStatement",
                                        MatchIfTrue[
                                            Callable[[cst.BaseSmallStatement], bool]
                                        ],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.BaseSmallStatement], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.BaseSmallStatement]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.BaseSmallStatement]], bool]],
    ] = DoNotCare()
    leading_whitespace: Union[
        "SimpleWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        AllOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]],
    ] = DoNotCare()
    trailing_whitespace: Union[
        "TrailingWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "TrailingWhitespace",
                MatchIfTrue[Callable[[cst.TrailingWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "TrailingWhitespace",
                MatchIfTrue[Callable[[cst.TrailingWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.TrailingWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class SimpleString(BaseExpression, BaseString, BaseMatcherNode):
    value: Union[
        str,
        DoNotCareSentinel,
        OneOf[Union[str, MatchIfTrue[Callable[[str], bool]]]],
        AllOf[Union[str, MatchIfTrue[Callable[[str], bool]]]],
        MatchIfTrue[Callable[[str], bool]],
    ] = DoNotCare()
    lpar: Union[
        Sequence[
            Union[
                "LeftParen",
                DoNotCareSentinel,
                OneOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                AllOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                AtLeastN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
    ] = DoNotCare()
    rpar: Union[
        Sequence[
            Union[
                "RightParen",
                DoNotCareSentinel,
                OneOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                AllOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                MatchIfTrue[Callable[[cst.RightParen], bool]],
                AtLeastN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class SimpleWhitespace(BaseParenthesizableWhitespace, BaseMatcherNode):
    value: Union[
        str,
        DoNotCareSentinel,
        OneOf[Union[str, MatchIfTrue[Callable[[str], bool]]]],
        AllOf[Union[str, MatchIfTrue[Callable[[str], bool]]]],
        MatchIfTrue[Callable[[str], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Slice(BaseMatcherNode):
    lower: Union[
        "BaseExpression",
        None,
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseExpression",
                None,
                MatchIfTrue[Callable[[Union[cst.BaseExpression, None]], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseExpression",
                None,
                MatchIfTrue[Callable[[Union[cst.BaseExpression, None]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Union[cst.BaseExpression, None]], bool]],
    ] = DoNotCare()
    upper: Union[
        "BaseExpression",
        None,
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseExpression",
                None,
                MatchIfTrue[Callable[[Union[cst.BaseExpression, None]], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseExpression",
                None,
                MatchIfTrue[Callable[[Union[cst.BaseExpression, None]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Union[cst.BaseExpression, None]], bool]],
    ] = DoNotCare()
    step: Union[
        "BaseExpression",
        None,
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseExpression",
                None,
                MatchIfTrue[Callable[[Union[cst.BaseExpression, None]], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseExpression",
                None,
                MatchIfTrue[Callable[[Union[cst.BaseExpression, None]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Union[cst.BaseExpression, None]], bool]],
    ] = DoNotCare()
    first_colon: Union[
        "Colon",
        DoNotCareSentinel,
        OneOf[Union["Colon", MatchIfTrue[Callable[[cst.Colon], bool]]]],
        AllOf[Union["Colon", MatchIfTrue[Callable[[cst.Colon], bool]]]],
        MatchIfTrue[Callable[[cst.Colon], bool]],
    ] = DoNotCare()
    second_colon: Union[
        "Colon",
        DoNotCareSentinel,
        OneOf[Union["Colon", MatchIfTrue[Callable[[cst.Colon], bool]]]],
        AllOf[Union["Colon", MatchIfTrue[Callable[[cst.Colon], bool]]]],
        MatchIfTrue[Callable[[cst.Colon], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class StarredDictElement(BaseDictElement, BaseMatcherNode):
    value: Union[
        "BaseExpression",
        DoNotCareSentinel,
        OneOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        AllOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        MatchIfTrue[Callable[[cst.BaseExpression], bool]],
    ] = DoNotCare()
    comma: Union[
        "Comma",
        DoNotCareSentinel,
        OneOf[Union["Comma", MatchIfTrue[Callable[[cst.Comma], bool]]]],
        AllOf[Union["Comma", MatchIfTrue[Callable[[cst.Comma], bool]]]],
        MatchIfTrue[Callable[[cst.Comma], bool]],
    ] = DoNotCare()
    whitespace_before_value: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class StarredElement(BaseElement, BaseMatcherNode):
    value: Union[
        "BaseExpression",
        DoNotCareSentinel,
        OneOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        AllOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        MatchIfTrue[Callable[[cst.BaseExpression], bool]],
    ] = DoNotCare()
    comma: Union[
        "Comma",
        DoNotCareSentinel,
        OneOf[Union["Comma", MatchIfTrue[Callable[[cst.Comma], bool]]]],
        AllOf[Union["Comma", MatchIfTrue[Callable[[cst.Comma], bool]]]],
        MatchIfTrue[Callable[[cst.Comma], bool]],
    ] = DoNotCare()
    lpar: Union[
        Sequence[
            Union[
                "LeftParen",
                DoNotCareSentinel,
                OneOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                AllOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                AtLeastN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
    ] = DoNotCare()
    rpar: Union[
        Sequence[
            Union[
                "RightParen",
                DoNotCareSentinel,
                OneOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                AllOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                MatchIfTrue[Callable[[cst.RightParen], bool]],
                AtLeastN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
    ] = DoNotCare()
    whitespace_before_value: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Subscript(
    BaseAssignTargetExpression, BaseDelTargetExpression, BaseExpression, BaseMatcherNode
):
    value: Union[
        "BaseExpression",
        DoNotCareSentinel,
        OneOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        AllOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        MatchIfTrue[Callable[[cst.BaseExpression], bool]],
    ] = DoNotCare()
    slice: Union[
        "Index",
        "Slice",
        Sequence[
            Union[
                "ExtSlice",
                DoNotCareSentinel,
                OneOf[Union["ExtSlice", MatchIfTrue[Callable[[cst.ExtSlice], bool]]]],
                AllOf[Union["ExtSlice", MatchIfTrue[Callable[[cst.ExtSlice], bool]]]],
                MatchIfTrue[Callable[[cst.ExtSlice], bool]],
                AtLeastN[
                    Union[
                        "ExtSlice",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "ExtSlice", MatchIfTrue[Callable[[cst.ExtSlice], bool]]
                            ]
                        ],
                        AllOf[
                            Union[
                                "ExtSlice", MatchIfTrue[Callable[[cst.ExtSlice], bool]]
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.ExtSlice], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "ExtSlice",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "ExtSlice", MatchIfTrue[Callable[[cst.ExtSlice], bool]]
                            ]
                        ],
                        AllOf[
                            Union[
                                "ExtSlice", MatchIfTrue[Callable[[cst.ExtSlice], bool]]
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.ExtSlice], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                "Index",
                "Slice",
                Sequence[
                    Union[
                        "ExtSlice",
                        OneOf[
                            Union[
                                "ExtSlice", MatchIfTrue[Callable[[cst.ExtSlice], bool]]
                            ]
                        ],
                        AllOf[
                            Union[
                                "ExtSlice", MatchIfTrue[Callable[[cst.ExtSlice], bool]]
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.ExtSlice], bool]],
                        AtLeastN[
                            Union[
                                "ExtSlice",
                                OneOf[
                                    Union[
                                        "ExtSlice",
                                        MatchIfTrue[Callable[[cst.ExtSlice], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "ExtSlice",
                                        MatchIfTrue[Callable[[cst.ExtSlice], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.ExtSlice], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "ExtSlice",
                                OneOf[
                                    Union[
                                        "ExtSlice",
                                        MatchIfTrue[Callable[[cst.ExtSlice], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "ExtSlice",
                                        MatchIfTrue[Callable[[cst.ExtSlice], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.ExtSlice], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[
                    Callable[
                        [Union[cst.Index, cst.Slice, Sequence[cst.ExtSlice]]], bool
                    ]
                ],
            ]
        ],
        AllOf[
            Union[
                "Index",
                "Slice",
                Sequence[
                    Union[
                        "ExtSlice",
                        OneOf[
                            Union[
                                "ExtSlice", MatchIfTrue[Callable[[cst.ExtSlice], bool]]
                            ]
                        ],
                        AllOf[
                            Union[
                                "ExtSlice", MatchIfTrue[Callable[[cst.ExtSlice], bool]]
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.ExtSlice], bool]],
                        AtLeastN[
                            Union[
                                "ExtSlice",
                                OneOf[
                                    Union[
                                        "ExtSlice",
                                        MatchIfTrue[Callable[[cst.ExtSlice], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "ExtSlice",
                                        MatchIfTrue[Callable[[cst.ExtSlice], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.ExtSlice], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "ExtSlice",
                                OneOf[
                                    Union[
                                        "ExtSlice",
                                        MatchIfTrue[Callable[[cst.ExtSlice], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "ExtSlice",
                                        MatchIfTrue[Callable[[cst.ExtSlice], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.ExtSlice], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[
                    Callable[
                        [Union[cst.Index, cst.Slice, Sequence[cst.ExtSlice]]], bool
                    ]
                ],
            ]
        ],
        MatchIfTrue[
            Callable[[Union[cst.Index, cst.Slice, Sequence[cst.ExtSlice]]], bool]
        ],
    ] = DoNotCare()
    lbracket: Union[
        "LeftSquareBracket",
        DoNotCareSentinel,
        OneOf[
            Union[
                "LeftSquareBracket",
                MatchIfTrue[Callable[[cst.LeftSquareBracket], bool]],
            ]
        ],
        AllOf[
            Union[
                "LeftSquareBracket",
                MatchIfTrue[Callable[[cst.LeftSquareBracket], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.LeftSquareBracket], bool]],
    ] = DoNotCare()
    rbracket: Union[
        "RightSquareBracket",
        DoNotCareSentinel,
        OneOf[
            Union[
                "RightSquareBracket",
                MatchIfTrue[Callable[[cst.RightSquareBracket], bool]],
            ]
        ],
        AllOf[
            Union[
                "RightSquareBracket",
                MatchIfTrue[Callable[[cst.RightSquareBracket], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.RightSquareBracket], bool]],
    ] = DoNotCare()
    lpar: Union[
        Sequence[
            Union[
                "LeftParen",
                DoNotCareSentinel,
                OneOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                AllOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                AtLeastN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
    ] = DoNotCare()
    rpar: Union[
        Sequence[
            Union[
                "RightParen",
                DoNotCareSentinel,
                OneOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                AllOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                MatchIfTrue[Callable[[cst.RightParen], bool]],
                AtLeastN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
    ] = DoNotCare()
    whitespace_after_value: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Subtract(BaseBinaryOp, BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class SubtractAssign(BaseAugOp, BaseMatcherNode):
    whitespace_before: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()
    whitespace_after: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class TrailingWhitespace(BaseMatcherNode):
    whitespace: Union[
        "SimpleWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        AllOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]],
    ] = DoNotCare()
    comment: Union[
        "Comment",
        None,
        DoNotCareSentinel,
        OneOf[
            Union[
                "Comment", None, MatchIfTrue[Callable[[Union[cst.Comment, None]], bool]]
            ]
        ],
        AllOf[
            Union[
                "Comment", None, MatchIfTrue[Callable[[Union[cst.Comment, None]], bool]]
            ]
        ],
        MatchIfTrue[Callable[[Union[cst.Comment, None]], bool]],
    ] = DoNotCare()
    newline: Union[
        "Newline",
        DoNotCareSentinel,
        OneOf[Union["Newline", MatchIfTrue[Callable[[cst.Newline], bool]]]],
        AllOf[Union["Newline", MatchIfTrue[Callable[[cst.Newline], bool]]]],
        MatchIfTrue[Callable[[cst.Newline], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Try(BaseCompoundStatement, BaseStatement, BaseMatcherNode):
    body: Union[
        "BaseSuite",
        DoNotCareSentinel,
        OneOf[Union["BaseSuite", MatchIfTrue[Callable[[cst.BaseSuite], bool]]]],
        AllOf[Union["BaseSuite", MatchIfTrue[Callable[[cst.BaseSuite], bool]]]],
        MatchIfTrue[Callable[[cst.BaseSuite], bool]],
    ] = DoNotCare()
    handlers: Union[
        Sequence[
            Union[
                "ExceptHandler",
                DoNotCareSentinel,
                OneOf[
                    Union[
                        "ExceptHandler",
                        MatchIfTrue[Callable[[cst.ExceptHandler], bool]],
                    ]
                ],
                AllOf[
                    Union[
                        "ExceptHandler",
                        MatchIfTrue[Callable[[cst.ExceptHandler], bool]],
                    ]
                ],
                MatchIfTrue[Callable[[cst.ExceptHandler], bool]],
                AtLeastN[
                    Union[
                        "ExceptHandler",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "ExceptHandler",
                                MatchIfTrue[Callable[[cst.ExceptHandler], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "ExceptHandler",
                                MatchIfTrue[Callable[[cst.ExceptHandler], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.ExceptHandler], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "ExceptHandler",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "ExceptHandler",
                                MatchIfTrue[Callable[[cst.ExceptHandler], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "ExceptHandler",
                                MatchIfTrue[Callable[[cst.ExceptHandler], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.ExceptHandler], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "ExceptHandler",
                        OneOf[
                            Union[
                                "ExceptHandler",
                                MatchIfTrue[Callable[[cst.ExceptHandler], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "ExceptHandler",
                                MatchIfTrue[Callable[[cst.ExceptHandler], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.ExceptHandler], bool]],
                        AtLeastN[
                            Union[
                                "ExceptHandler",
                                OneOf[
                                    Union[
                                        "ExceptHandler",
                                        MatchIfTrue[
                                            Callable[[cst.ExceptHandler], bool]
                                        ],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "ExceptHandler",
                                        MatchIfTrue[
                                            Callable[[cst.ExceptHandler], bool]
                                        ],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.ExceptHandler], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "ExceptHandler",
                                OneOf[
                                    Union[
                                        "ExceptHandler",
                                        MatchIfTrue[
                                            Callable[[cst.ExceptHandler], bool]
                                        ],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "ExceptHandler",
                                        MatchIfTrue[
                                            Callable[[cst.ExceptHandler], bool]
                                        ],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.ExceptHandler], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.ExceptHandler]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "ExceptHandler",
                        OneOf[
                            Union[
                                "ExceptHandler",
                                MatchIfTrue[Callable[[cst.ExceptHandler], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "ExceptHandler",
                                MatchIfTrue[Callable[[cst.ExceptHandler], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.ExceptHandler], bool]],
                        AtLeastN[
                            Union[
                                "ExceptHandler",
                                OneOf[
                                    Union[
                                        "ExceptHandler",
                                        MatchIfTrue[
                                            Callable[[cst.ExceptHandler], bool]
                                        ],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "ExceptHandler",
                                        MatchIfTrue[
                                            Callable[[cst.ExceptHandler], bool]
                                        ],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.ExceptHandler], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "ExceptHandler",
                                OneOf[
                                    Union[
                                        "ExceptHandler",
                                        MatchIfTrue[
                                            Callable[[cst.ExceptHandler], bool]
                                        ],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "ExceptHandler",
                                        MatchIfTrue[
                                            Callable[[cst.ExceptHandler], bool]
                                        ],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.ExceptHandler], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.ExceptHandler]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.ExceptHandler]], bool]],
    ] = DoNotCare()
    orelse: Union[
        "Else",
        None,
        DoNotCareSentinel,
        OneOf[
            Union["Else", None, MatchIfTrue[Callable[[Union[cst.Else, None]], bool]]]
        ],
        AllOf[
            Union["Else", None, MatchIfTrue[Callable[[Union[cst.Else, None]], bool]]]
        ],
        MatchIfTrue[Callable[[Union[cst.Else, None]], bool]],
    ] = DoNotCare()
    finalbody: Union[
        "Finally",
        None,
        DoNotCareSentinel,
        OneOf[
            Union[
                "Finally", None, MatchIfTrue[Callable[[Union[cst.Finally, None]], bool]]
            ]
        ],
        AllOf[
            Union[
                "Finally", None, MatchIfTrue[Callable[[Union[cst.Finally, None]], bool]]
            ]
        ],
        MatchIfTrue[Callable[[Union[cst.Finally, None]], bool]],
    ] = DoNotCare()
    leading_lines: Union[
        Sequence[
            Union[
                "EmptyLine",
                DoNotCareSentinel,
                OneOf[Union["EmptyLine", MatchIfTrue[Callable[[cst.EmptyLine], bool]]]],
                AllOf[Union["EmptyLine", MatchIfTrue[Callable[[cst.EmptyLine], bool]]]],
                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                AtLeastN[
                    Union[
                        "EmptyLine",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "EmptyLine",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "EmptyLine",
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                        AtLeastN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "EmptyLine",
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                        AtLeastN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
    ] = DoNotCare()
    whitespace_before_colon: Union[
        "SimpleWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        AllOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Tuple(
    BaseAssignTargetExpression, BaseDelTargetExpression, BaseExpression, BaseMatcherNode
):
    elements: Union[
        Sequence[
            Union[
                "BaseElement",
                DoNotCareSentinel,
                OneOf[
                    Union["BaseElement", MatchIfTrue[Callable[[cst.BaseElement], bool]]]
                ],
                AllOf[
                    Union["BaseElement", MatchIfTrue[Callable[[cst.BaseElement], bool]]]
                ],
                MatchIfTrue[Callable[[cst.BaseElement], bool]],
                AtLeastN[
                    Union[
                        "BaseElement",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "BaseElement",
                                MatchIfTrue[Callable[[cst.BaseElement], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "BaseElement",
                                MatchIfTrue[Callable[[cst.BaseElement], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.BaseElement], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "BaseElement",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "BaseElement",
                                MatchIfTrue[Callable[[cst.BaseElement], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "BaseElement",
                                MatchIfTrue[Callable[[cst.BaseElement], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.BaseElement], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "BaseElement",
                        OneOf[
                            Union[
                                "BaseElement",
                                MatchIfTrue[Callable[[cst.BaseElement], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "BaseElement",
                                MatchIfTrue[Callable[[cst.BaseElement], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.BaseElement], bool]],
                        AtLeastN[
                            Union[
                                "BaseElement",
                                OneOf[
                                    Union[
                                        "BaseElement",
                                        MatchIfTrue[Callable[[cst.BaseElement], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "BaseElement",
                                        MatchIfTrue[Callable[[cst.BaseElement], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.BaseElement], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "BaseElement",
                                OneOf[
                                    Union[
                                        "BaseElement",
                                        MatchIfTrue[Callable[[cst.BaseElement], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "BaseElement",
                                        MatchIfTrue[Callable[[cst.BaseElement], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.BaseElement], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.BaseElement]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "BaseElement",
                        OneOf[
                            Union[
                                "BaseElement",
                                MatchIfTrue[Callable[[cst.BaseElement], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "BaseElement",
                                MatchIfTrue[Callable[[cst.BaseElement], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.BaseElement], bool]],
                        AtLeastN[
                            Union[
                                "BaseElement",
                                OneOf[
                                    Union[
                                        "BaseElement",
                                        MatchIfTrue[Callable[[cst.BaseElement], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "BaseElement",
                                        MatchIfTrue[Callable[[cst.BaseElement], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.BaseElement], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "BaseElement",
                                OneOf[
                                    Union[
                                        "BaseElement",
                                        MatchIfTrue[Callable[[cst.BaseElement], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "BaseElement",
                                        MatchIfTrue[Callable[[cst.BaseElement], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.BaseElement], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.BaseElement]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.BaseElement]], bool]],
    ] = DoNotCare()
    lpar: Union[
        Sequence[
            Union[
                "LeftParen",
                DoNotCareSentinel,
                OneOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                AllOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                AtLeastN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
    ] = DoNotCare()
    rpar: Union[
        Sequence[
            Union[
                "RightParen",
                DoNotCareSentinel,
                OneOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                AllOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                MatchIfTrue[Callable[[cst.RightParen], bool]],
                AtLeastN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class UnaryOperation(BaseExpression, BaseMatcherNode):
    operator: Union[
        "BaseUnaryOp",
        DoNotCareSentinel,
        OneOf[Union["BaseUnaryOp", MatchIfTrue[Callable[[cst.BaseUnaryOp], bool]]]],
        AllOf[Union["BaseUnaryOp", MatchIfTrue[Callable[[cst.BaseUnaryOp], bool]]]],
        MatchIfTrue[Callable[[cst.BaseUnaryOp], bool]],
    ] = DoNotCare()
    expression: Union[
        "BaseExpression",
        DoNotCareSentinel,
        OneOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        AllOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        MatchIfTrue[Callable[[cst.BaseExpression], bool]],
    ] = DoNotCare()
    lpar: Union[
        Sequence[
            Union[
                "LeftParen",
                DoNotCareSentinel,
                OneOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                AllOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                AtLeastN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
    ] = DoNotCare()
    rpar: Union[
        Sequence[
            Union[
                "RightParen",
                DoNotCareSentinel,
                OneOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                AllOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                MatchIfTrue[Callable[[cst.RightParen], bool]],
                AtLeastN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class While(BaseCompoundStatement, BaseStatement, BaseMatcherNode):
    test: Union[
        "BaseExpression",
        DoNotCareSentinel,
        OneOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        AllOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        MatchIfTrue[Callable[[cst.BaseExpression], bool]],
    ] = DoNotCare()
    body: Union[
        "BaseSuite",
        DoNotCareSentinel,
        OneOf[Union["BaseSuite", MatchIfTrue[Callable[[cst.BaseSuite], bool]]]],
        AllOf[Union["BaseSuite", MatchIfTrue[Callable[[cst.BaseSuite], bool]]]],
        MatchIfTrue[Callable[[cst.BaseSuite], bool]],
    ] = DoNotCare()
    orelse: Union[
        "Else",
        None,
        DoNotCareSentinel,
        OneOf[
            Union["Else", None, MatchIfTrue[Callable[[Union[cst.Else, None]], bool]]]
        ],
        AllOf[
            Union["Else", None, MatchIfTrue[Callable[[Union[cst.Else, None]], bool]]]
        ],
        MatchIfTrue[Callable[[Union[cst.Else, None]], bool]],
    ] = DoNotCare()
    leading_lines: Union[
        Sequence[
            Union[
                "EmptyLine",
                DoNotCareSentinel,
                OneOf[Union["EmptyLine", MatchIfTrue[Callable[[cst.EmptyLine], bool]]]],
                AllOf[Union["EmptyLine", MatchIfTrue[Callable[[cst.EmptyLine], bool]]]],
                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                AtLeastN[
                    Union[
                        "EmptyLine",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "EmptyLine",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "EmptyLine",
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                        AtLeastN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "EmptyLine",
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                        AtLeastN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
    ] = DoNotCare()
    whitespace_after_while: Union[
        "SimpleWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        AllOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]],
    ] = DoNotCare()
    whitespace_before_colon: Union[
        "SimpleWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        AllOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class With(BaseCompoundStatement, BaseStatement, BaseMatcherNode):
    items: Union[
        Sequence[
            Union[
                "WithItem",
                DoNotCareSentinel,
                OneOf[Union["WithItem", MatchIfTrue[Callable[[cst.WithItem], bool]]]],
                AllOf[Union["WithItem", MatchIfTrue[Callable[[cst.WithItem], bool]]]],
                MatchIfTrue[Callable[[cst.WithItem], bool]],
                AtLeastN[
                    Union[
                        "WithItem",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "WithItem", MatchIfTrue[Callable[[cst.WithItem], bool]]
                            ]
                        ],
                        AllOf[
                            Union[
                                "WithItem", MatchIfTrue[Callable[[cst.WithItem], bool]]
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.WithItem], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "WithItem",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "WithItem", MatchIfTrue[Callable[[cst.WithItem], bool]]
                            ]
                        ],
                        AllOf[
                            Union[
                                "WithItem", MatchIfTrue[Callable[[cst.WithItem], bool]]
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.WithItem], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "WithItem",
                        OneOf[
                            Union[
                                "WithItem", MatchIfTrue[Callable[[cst.WithItem], bool]]
                            ]
                        ],
                        AllOf[
                            Union[
                                "WithItem", MatchIfTrue[Callable[[cst.WithItem], bool]]
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.WithItem], bool]],
                        AtLeastN[
                            Union[
                                "WithItem",
                                OneOf[
                                    Union[
                                        "WithItem",
                                        MatchIfTrue[Callable[[cst.WithItem], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "WithItem",
                                        MatchIfTrue[Callable[[cst.WithItem], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.WithItem], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "WithItem",
                                OneOf[
                                    Union[
                                        "WithItem",
                                        MatchIfTrue[Callable[[cst.WithItem], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "WithItem",
                                        MatchIfTrue[Callable[[cst.WithItem], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.WithItem], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.WithItem]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "WithItem",
                        OneOf[
                            Union[
                                "WithItem", MatchIfTrue[Callable[[cst.WithItem], bool]]
                            ]
                        ],
                        AllOf[
                            Union[
                                "WithItem", MatchIfTrue[Callable[[cst.WithItem], bool]]
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.WithItem], bool]],
                        AtLeastN[
                            Union[
                                "WithItem",
                                OneOf[
                                    Union[
                                        "WithItem",
                                        MatchIfTrue[Callable[[cst.WithItem], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "WithItem",
                                        MatchIfTrue[Callable[[cst.WithItem], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.WithItem], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "WithItem",
                                OneOf[
                                    Union[
                                        "WithItem",
                                        MatchIfTrue[Callable[[cst.WithItem], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "WithItem",
                                        MatchIfTrue[Callable[[cst.WithItem], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.WithItem], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.WithItem]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.WithItem]], bool]],
    ] = DoNotCare()
    body: Union[
        "BaseSuite",
        DoNotCareSentinel,
        OneOf[Union["BaseSuite", MatchIfTrue[Callable[[cst.BaseSuite], bool]]]],
        AllOf[Union["BaseSuite", MatchIfTrue[Callable[[cst.BaseSuite], bool]]]],
        MatchIfTrue[Callable[[cst.BaseSuite], bool]],
    ] = DoNotCare()
    asynchronous: Union[
        "Asynchronous",
        None,
        DoNotCareSentinel,
        OneOf[
            Union[
                "Asynchronous",
                None,
                MatchIfTrue[Callable[[Union[cst.Asynchronous, None]], bool]],
            ]
        ],
        AllOf[
            Union[
                "Asynchronous",
                None,
                MatchIfTrue[Callable[[Union[cst.Asynchronous, None]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Union[cst.Asynchronous, None]], bool]],
    ] = DoNotCare()
    leading_lines: Union[
        Sequence[
            Union[
                "EmptyLine",
                DoNotCareSentinel,
                OneOf[Union["EmptyLine", MatchIfTrue[Callable[[cst.EmptyLine], bool]]]],
                AllOf[Union["EmptyLine", MatchIfTrue[Callable[[cst.EmptyLine], bool]]]],
                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                AtLeastN[
                    Union[
                        "EmptyLine",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "EmptyLine",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "EmptyLine",
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                        AtLeastN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "EmptyLine",
                        OneOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "EmptyLine",
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                        AtLeastN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "EmptyLine",
                                OneOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "EmptyLine",
                                        MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.EmptyLine], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.EmptyLine]], bool]],
    ] = DoNotCare()
    whitespace_after_with: Union[
        "SimpleWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        AllOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]],
    ] = DoNotCare()
    whitespace_before_colon: Union[
        "SimpleWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        AllOf[
            Union[
                "SimpleWhitespace", MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]]
            ]
        ],
        MatchIfTrue[Callable[[cst.SimpleWhitespace], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class WithItem(BaseMatcherNode):
    item: Union[
        "BaseExpression",
        DoNotCareSentinel,
        OneOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        AllOf[
            Union["BaseExpression", MatchIfTrue[Callable[[cst.BaseExpression], bool]]]
        ],
        MatchIfTrue[Callable[[cst.BaseExpression], bool]],
    ] = DoNotCare()
    asname: Union[
        "AsName",
        None,
        DoNotCareSentinel,
        OneOf[
            Union[
                "AsName", None, MatchIfTrue[Callable[[Union[cst.AsName, None]], bool]]
            ]
        ],
        AllOf[
            Union[
                "AsName", None, MatchIfTrue[Callable[[Union[cst.AsName, None]], bool]]
            ]
        ],
        MatchIfTrue[Callable[[Union[cst.AsName, None]], bool]],
    ] = DoNotCare()
    comma: Union[
        "Comma",
        DoNotCareSentinel,
        OneOf[Union["Comma", MatchIfTrue[Callable[[cst.Comma], bool]]]],
        AllOf[Union["Comma", MatchIfTrue[Callable[[cst.Comma], bool]]]],
        MatchIfTrue[Callable[[cst.Comma], bool]],
    ] = DoNotCare()


@dataclass(frozen=True, eq=False, unsafe_hash=False)
class Yield(BaseExpression, BaseMatcherNode):
    value: Union[
        "BaseExpression",
        "From",
        None,
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseExpression",
                "From",
                None,
                MatchIfTrue[
                    Callable[[Union[cst.BaseExpression, cst.From, None]], bool]
                ],
            ]
        ],
        AllOf[
            Union[
                "BaseExpression",
                "From",
                None,
                MatchIfTrue[
                    Callable[[Union[cst.BaseExpression, cst.From, None]], bool]
                ],
            ]
        ],
        MatchIfTrue[Callable[[Union[cst.BaseExpression, cst.From, None]], bool]],
    ] = DoNotCare()
    lpar: Union[
        Sequence[
            Union[
                "LeftParen",
                DoNotCareSentinel,
                OneOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                AllOf[Union["LeftParen", MatchIfTrue[Callable[[cst.LeftParen], bool]]]],
                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                AtLeastN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "LeftParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "LeftParen",
                        OneOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "LeftParen",
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                        AtLeastN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "LeftParen",
                                OneOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "LeftParen",
                                        MatchIfTrue[Callable[[cst.LeftParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.LeftParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.LeftParen]], bool]],
    ] = DoNotCare()
    rpar: Union[
        Sequence[
            Union[
                "RightParen",
                DoNotCareSentinel,
                OneOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                AllOf[
                    Union["RightParen", MatchIfTrue[Callable[[cst.RightParen], bool]]]
                ],
                MatchIfTrue[Callable[[cst.RightParen], bool]],
                AtLeastN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
                AtMostN[
                    Union[
                        "RightParen",
                        DoNotCareSentinel,
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                    ]
                ],
            ]
        ],
        DoNotCareSentinel,
        OneOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        AllOf[
            Union[
                Sequence[
                    Union[
                        "RightParen",
                        OneOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AllOf[
                            Union[
                                "RightParen",
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                        AtLeastN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                        AtMostN[
                            Union[
                                "RightParen",
                                OneOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                AllOf[
                                    Union[
                                        "RightParen",
                                        MatchIfTrue[Callable[[cst.RightParen], bool]],
                                    ]
                                ],
                                MatchIfTrue[Callable[[cst.RightParen], bool]],
                            ]
                        ],
                    ]
                ],
                MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
            ]
        ],
        MatchIfTrue[Callable[[Sequence[cst.RightParen]], bool]],
    ] = DoNotCare()
    whitespace_after_yield: Union[
        "BaseParenthesizableWhitespace",
        DoNotCareSentinel,
        OneOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        AllOf[
            Union[
                "BaseParenthesizableWhitespace",
                MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
            ]
        ],
        MatchIfTrue[Callable[[cst.BaseParenthesizableWhitespace], bool]],
    ] = DoNotCare()


__all__ = [
    "Add",
    "AddAssign",
    "AllOf",
    "And",
    "AnnAssign",
    "Annotation",
    "Arg",
    "AsName",
    "Assert",
    "Assign",
    "AssignEqual",
    "AssignTarget",
    "Asynchronous",
    "AtLeastN",
    "AtMostN",
    "Attribute",
    "AugAssign",
    "Await",
    "BaseAssignTargetExpression",
    "BaseAugOp",
    "BaseBinaryOp",
    "BaseBooleanOp",
    "BaseComp",
    "BaseCompOp",
    "BaseCompoundStatement",
    "BaseDelTargetExpression",
    "BaseDict",
    "BaseDictElement",
    "BaseElement",
    "BaseExpression",
    "BaseFormattedStringContent",
    "BaseList",
    "BaseMatcherNode",
    "BaseMetadataProvider",
    "BaseNumber",
    "BaseParenthesizableWhitespace",
    "BaseSet",
    "BaseSimpleComp",
    "BaseSmallStatement",
    "BaseStatement",
    "BaseString",
    "BaseSuite",
    "BaseUnaryOp",
    "BinaryOperation",
    "BitAnd",
    "BitAndAssign",
    "BitInvert",
    "BitOr",
    "BitOrAssign",
    "BitXor",
    "BitXorAssign",
    "BooleanOperation",
    "Break",
    "Call",
    "ClassDef",
    "Colon",
    "Comma",
    "Comment",
    "CompFor",
    "CompIf",
    "Comparison",
    "ComparisonTarget",
    "ConcatenatedString",
    "Continue",
    "Decorator",
    "Del",
    "Dict",
    "DictComp",
    "DictElement",
    "Divide",
    "DivideAssign",
    "DoNotCare",
    "DoNotCareSentinel",
    "DoesNotMatch",
    "Dot",
    "Element",
    "Ellipsis",
    "Else",
    "EmptyLine",
    "Equal",
    "ExceptHandler",
    "Expr",
    "ExtSlice",
    "Finally",
    "Float",
    "FloorDivide",
    "FloorDivideAssign",
    "For",
    "FormattedString",
    "FormattedStringExpression",
    "FormattedStringText",
    "From",
    "FunctionDef",
    "GeneratorExp",
    "Global",
    "GreaterThan",
    "GreaterThanEqual",
    "If",
    "IfExp",
    "Imaginary",
    "Import",
    "ImportAlias",
    "ImportFrom",
    "ImportStar",
    "In",
    "IndentedBlock",
    "Index",
    "Integer",
    "Is",
    "IsNot",
    "Lambda",
    "LeftCurlyBrace",
    "LeftParen",
    "LeftShift",
    "LeftShiftAssign",
    "LeftSquareBracket",
    "LessThan",
    "LessThanEqual",
    "List",
    "ListComp",
    "MatchDecoratorMismatch",
    "MatchIfTrue",
    "MatchRegex",
    "MatcherDecoratableTransformer",
    "MatcherDecoratableVisitor",
    "MatrixMultiply",
    "MatrixMultiplyAssign",
    "Minus",
    "Module",
    "Modulo",
    "ModuloAssign",
    "Multiply",
    "MultiplyAssign",
    "Name",
    "NameItem",
    "Newline",
    "Nonlocal",
    "Not",
    "NotEqual",
    "NotIn",
    "OneOf",
    "Or",
    "Param",
    "ParamStar",
    "Parameters",
    "ParenthesizedWhitespace",
    "Pass",
    "Plus",
    "Power",
    "PowerAssign",
    "Raise",
    "Return",
    "RightCurlyBrace",
    "RightParen",
    "RightShift",
    "RightShiftAssign",
    "RightSquareBracket",
    "Semicolon",
    "Set",
    "SetComp",
    "SimpleStatementLine",
    "SimpleStatementSuite",
    "SimpleString",
    "SimpleWhitespace",
    "Slice",
    "StarredDictElement",
    "StarredElement",
    "Subscript",
    "Subtract",
    "SubtractAssign",
    "TrailingWhitespace",
    "Try",
    "Tuple",
    "UnaryOperation",
    "While",
    "With",
    "WithItem",
    "Yield",
    "ZeroOrMore",
    "ZeroOrOne",
    "call_if_inside",
    "call_if_not_inside",
    "leave",
    "matches",
    "visit",
]
